(function($){
	$( function() {
	  $.widget( "custom.iconselectmenu", $.ui.selectmenu, {
	    _renderItem: function( ul, item ) {
	      var li = $( "<li>" ),
	        wrapper = $( "<div>", { text: item.label } );
			li.addClass(item.value + " circle-icon");
	      if ( item.disabled ) {
	        li.addClass( "ui-state-disabled" );
	      }
	
	      return li.append( wrapper ).appendTo( ul );
	    },
	    _renderButtonItem: function( item ) {
	      var buttonItem = $( "<span>", {
	        "class": "ui-selectmenu-text "
	      });
	      buttonItem.addClass(item.value + " circle-icon");
	      this._setText( buttonItem, item.label );
	     
	      buttonItem.css( "background-color", item.value )
	     
	      return buttonItem;
	    }
	  });
	
	  $( ".booking-status" )
	    .iconselectmenu()
	    .iconselectmenu( "menuWidget" )
	      .addClass( "ui-menu-icons" );


		  repairsContainerSortable();
	} );
}(jQuery));

function repairsContainerSortable(){

	if( jQuery('.wp_repair_globalization').length == 0 ) {
		
		jQuery(".repairsContainer tbody").sortable({
			cancel: ".ui-state-not-allowed", // Don't allow rows without class 'draggable' to be dragged
			// On drop, update the position of the row in the database
			stop: function(e,ui) {
				var rowData = jQuery(this).sortable("toArray", { attribute: "data-rowid" });
				// Send an AJAX request to update the position of the row in the database
				jQuery(this).find('input[name="default_listing_range"]').val( jQuery(this).find('tr.justForsort.Orderingrepairs.draggable').index() );
				//-------------------
				jQuery(ui.item[0]).parents('.repairsContainer').find('tr.Orderingrepairs .main-repair .repair-list-sort').addClass('unsaved');
				if( '_updateUnsavedManageModelButton' in window ) {
					window._updateUnsavedManageModelButton();
				}
			}
		});
		
		jQuery(".repairsContainer tbody tr").disableSelection();

	}

}
// jQuery(document).on("ready", function(){
// 	var $ = jQuery;
// 	jQuery(".main-repair.is_deeper button.dropdown").on("click", function(){
// 	    var uid = $(this).data('uid');
// 	    jQuery(".the-additional-repair .additional-repair-tr").each(function(){
// 	        if($(this).data('uid') == uid) {
// 	            $(this).toggleClass('hide');
// 	        }
// 	    });
// 	});
// });

if(jQuery(".filters .custom-select select").length > 0) {
	jQuery(".filters .custom-select select").selectmenu();
}
if(jQuery(".wp-repair-inner-col .custom-select select").length > 0) {
	jQuery(".wp-repair-inner-col .custom-select select").selectmenu();
}
jQuery(document).on("ready", function(){
	function fixAllParentHeights(ul) {
		var ul = jQuery(ul).parent().parent();
		while(ul.is("ul")) {
			var maxHeight = ul.css({'max-height': '10000px'}).outerHeight();
			ul.css({'max-height': maxHeight+'px'})
			if(ul.parent().is(".multicheckboxes")) {
				return;
			}
			ul = jQuery(ul).parent().parent();
		}
	}
	jQuery(document).on("click", ".btn-dropdown", function(){
	    jQuery(this).find('> span.chevron').toggleClass('down');
	    jQuery(this).find('> span.chevron').toggleClass('up');
	    if(jQuery(this).parent().find('> ul').hasClass("opened")) {
	    	jQuery(this).parent().find('> ul').removeClass("opened");
	    	jQuery(this).parent().find('> ul').addClass("closed");
	    	jQuery(this).parent().find('> ul').animate({'max-height': '0px'}, 250);
	    } else {
	    	var maxHeight = jQuery(this).parent().find('> ul').css({'max-height': '10000px'}).outerHeight();
	    	fixAllParentHeights(jQuery(this).parent().find('> ul'));
	    	jQuery(this).parent().find('> ul').css({'max-height': '0%'}).animate({'max-height': maxHeight+'px'}, 250);
	    	jQuery(this).parent().find('> ul').addClass("opened");
	    	jQuery(this).parent().find('> ul').removeClass("closed");
	    }
	});
});


(function(window, document, $, undefined){
	var wpRepairAccordion = function() {
		return {
			btn: '',
			container: '',
			closingCallback: function(){},
			toggleCallback: function(){},
			initialize: function(args) {
				this.btn = args['btn'];
				this.container = args['container'];
				this.closingCallback = args['closingCallback'];
				this.toggleCallback = args['toggleCallback'];
				this.addAccordionListener();
			},
			addAccordionListener: function() {
				var i;
				var acc = this.btn;
				for (i = 0; i < acc.length; i++) {
					this.accordion(acc, i);
				}
			},
			closeAllAccordions: function(acc, theIndex) {
				var i;
				for (i = 0; i < acc.length; i++) {
					if(theIndex !== i) {
						var panel = document.querySelectorAll(this.container)[i];
						if (panel.style.maxHeight) {
							panel.style.maxHeight = null;
							this.closingCallback(panel, acc[i]);
							$(acc[i]).toggleClass('active');
						}
					}
				}
			},
			accordion: function(acc, i) {
				var theIndex = i;
				var that = this;
				acc[i].addEventListener("click", function() {
				    this.classList.toggle("active");
				    var panel = document.querySelectorAll(that.container)[theIndex];
				    if (panel.style.maxHeight) {
						panel.style.maxHeight = null;
						that.toggleCallback(panel, this, false);
				    } else {
				    	that.toggleCallback(panel, this, true);
						panel.style.maxHeight = panel.scrollHeight + "px";

						window.setTimeout(function(){
							panel.style.maxHeight = panel.scrollHeight +300 + "px";
						},300);
				    }
				    that.closeAllAccordions(acc, theIndex);
				});
			}
		}
	}
	if(jQuery("#appointment_parent_form").length > 0) {
		var normalAccordion = new wpRepairAccordion().initialize({
			btn: document.getElementsByClassName("plus-icon"),
			container: ".more-details .details-container",
			closingCallback: function(panel, acc){
				$(panel).parent().parent().removeClass('active');
				$(acc).parent().parent().removeClass("active");
				$(acc).parent().parent().addClass("closed");
			},
			toggleCallback: function(panel, acc, bool) {
				if (bool === false) {
					$(panel).parent().parent().removeClass('active');
					$(acc).parent().parent().removeClass("active");
					$(acc).parent().parent().addClass("closed");
			    } else {
					$(panel).parent().parent().addClass('active');
					$(acc).parent().parent().addClass("active");
					$(acc).parent().parent().removeClass("closed");
			    }
			}
		});
	} else {

		if( jQuery("body.wp-repair_page_wp_repair_manage_models").length > 0 ) {

			jQuery(document).on('click', ".plus-icon.edit-repairs", function(){
				let btn = this;
				let panel = $(this).parent().parent().parent().find(".more-details.repairs-details .details-container")[0];
				$(".more-details .details-container").each(function(i){
					if($(this)[0] !== panel) {
						let newPanel = $(this)[0];
						if (newPanel.style.maxHeight) {
							newPanel.style.maxHeight = null;
							$(btn).toggleClass('active');
						}
						$(newPanel).parent().parent().removeClass('active');
						let parentTable = $(newPanel).parent().parent().parent().find('tr:nth-child(1)');
						$(parentTable).removeClass('active');
						$(parentTable).addClass('closed');
					}
				});
			    if (panel.style.maxHeight) {
					panel.style.maxHeight = null;
					$(panel).parent().parent().removeClass('active');
					$(btn).parent().parent().removeClass("active");
					$(btn).parent().parent().addClass("closed");
			    } else {
			    	$(panel).parent().parent().addClass('active');
					$(btn).parent().parent().addClass("active");
					$(btn).parent().parent().removeClass("closed");
					panel.style.maxHeight = panel.scrollHeight + "px";

					window.setTimeout(function(){
						panel.style.maxHeight = panel.scrollHeight +300 + "px";
					},300);
			    }
			});

			jQuery(document).on('click', ".plus-icon.edit-settings", function(){
				let btn = this;
				let panel = $(this).parent().parent().parent().find(".more-details.model-details .details-container")[0];
				$(".more-details .details-container").each(function(i){
					if($(this)[0] !== panel) {
						let newPanel = $(this)[0];
						if (newPanel.style.maxHeight) {
							newPanel.style.maxHeight = null;
							$(btn).toggleClass('active');
						}
						$(newPanel).parent().parent().removeClass('active');
						let parentTable = $(newPanel).parent().parent().parent().find('tr:nth-child(1)');
						$(parentTable).removeClass('active');
						$(parentTable).addClass('closed');
					}
				});
			    if (panel.style.maxHeight) {
					panel.style.maxHeight = null;
					$(panel).parent().parent().removeClass('active');
					$(btn).parent().parent().removeClass("active");
					$(btn).parent().parent().addClass("closed");
			    } else {
			    	$(panel).parent().parent().addClass('active');
					$(btn).parent().parent().addClass("active");
					$(btn).parent().parent().removeClass("closed");
					panel.style.maxHeight = panel.scrollHeight + "px";

					window.setTimeout(function(){
						panel.style.maxHeight = panel.scrollHeight +300 + "px";
					},300);
			    }
			});

		}
		if(jQuery(".more-details .details-container").length > 0 && jQuery(".plus-icon").length > 0) {

			jQuery(document).on('click', ".plus-icon", function(){

				if( !jQuery(this).hasClass('edit-repairs') && !jQuery(this).hasClass('edit-settings') ) {

					let btn = this;

					let panel = $(this).parent().parent().parent().find(".more-details .details-container")[0];

					$(".more-details .details-container").each(function(i){
						if($(this)[0] !== panel) {
							let newPanel = $(this)[0];
							if (newPanel.style.maxHeight) {
								newPanel.style.maxHeight = null;
								$(btn).toggleClass('active');
							}
							$(newPanel).parent().parent().removeClass('active');
							let parentTable = $(newPanel).parent().parent().parent().find('tr:nth-child(1)');
							$(parentTable).removeClass('active');
							$(parentTable).addClass('closed');
						}
					});

				    if (panel.style.maxHeight) {
						panel.style.maxHeight = null;
						$(panel).parent().parent().removeClass('active');
						$(btn).parent().parent().removeClass("active");
						$(btn).parent().parent().addClass("closed");
				    } else {
				    	$(panel).parent().parent().addClass('active');
						$(btn).parent().parent().addClass("active");
						$(btn).parent().parent().removeClass("closed");
						panel.style.maxHeight = panel.scrollHeight + "px";

						window.setTimeout(function(){
							panel.style.maxHeight = panel.scrollHeight +300 + "px";
						},300);
				    }

				}

			});
		}
	}
	// if(jQuery(".special-table").length > 0 && jQuery(".additional-actions .dropdown").length > 0) {
	// 	jQuery(".additional-actions .dropdown").each(function(){
	// 		$(this).on("click", function(){
	// 			let btn = this;
	// 			let panel = $(this).parent().parent().parent().find(".more-details .details-container")[0];

	// 			var np = $(btn).parent().parent().parent().parent().parent().parent()[0];
	// 			np.style.maxHeight = "100%";

	// 		    if (panel.style.maxHeight) {
	// 				panel.style.maxHeight = null;
	// 				$(panel).parent().parent().removeClass('active');
	// 				$(btn).parent().parent().removeClass("active");
	// 				$(btn).parent().parent().addClass("closed");
	// 		    } else {
	// 		    	$(panel).parent().parent().addClass('active');
	// 				$(btn).parent().parent().addClass("active");
	// 				$(btn).parent().parent().removeClass("closed");
	// 				panel.style.maxHeight = panel.scrollHeight + "px";

	// 				window.setTimeout(function(){
	// 					panel.style.maxHeight = panel.scrollHeight +300 + "px";
	// 				},300);
	// 		    }

	// 		    window.setTimeout(function(){
	// 		    	np.style.maxHeight = np.clientHeight + "px";
	// 		    }, 200);

	// 		    $(".more-details .details-container").each(function(i){
	// 		    	if($(this)[0] !== panel) {
	// 		    		let newPanel = $(this)[0];
	// 		    		if (newPanel.style.maxHeight) {
	// 		    			newPanel.style.maxHeight = null;

	// 		    			$(newPanel).parent().parent().removeClass('active');
	// 		    			$(btn).parent().parent().removeClass("active");
	// 		    			$(btn).parent().parent().addClass("closed");

	// 		    			$(btn).toggleClass('active');
	// 		    		}
	// 		    	}
	// 		    });
	// 		});
	// 	});
	// }
	$(document).on("click", ".additional-actions .dropdown", function(){
		let btn = this;
		let panel = $(this).parent().parent().parent().find(".sub-repairs-details .special-table")[0];
		$(".sub-repairs-details .special-table").each(function(i){
			if($(this)[0] !== panel) {
				let newPanel = $(this)[0];
				if (newPanel.style.maxHeight) {
					newPanel.style.maxHeight = null;
				}
				$(newPanel).parent().parent().removeClass('active');
				let parentTable = $(newPanel).parent().parent().parent().find('tr:nth-child(1)');
				$(parentTable).removeClass('active');
				$(parentTable).addClass('closed');
				$(newPanel).parent().parent().parent().find(".main-repair button.dropdown").removeClass('active');
			}
		});

		var np = $(btn).parents('.details-container')[0];

		np.style.maxHeight = "100%";

	    if (panel.style.maxHeight) {
			panel.style.maxHeight = null;
			$(panel).parent().parent().removeClass('active');
			$(btn).parent().parent().removeClass("active");
			$(btn).parent().parent().addClass("closed");
			$(btn).removeClass('active');
	    } else {
	    	$(panel).parent().parent().addClass('active');
			$(btn).parent().parent().addClass("active");
			$(btn).parent().parent().removeClass("closed");
			$(btn).addClass('active');
			panel.style.maxHeight = panel.scrollHeight + "px";

			window.setTimeout(function(){
				panel.style.maxHeight = panel.scrollHeight +300 + "px";
			},300);
	    }


	
	        window.setTimeout(function(){
	        	np.style.maxHeight = np.clientHeight + "px";
	        }, 200);
	});
	// var specialAccordion = new wpRepairAccordion().initialize({
	// 	btn: document.querySelectorAll(".additional-actions .dropdown"),
	// 	container: ".special-table",
	// 	closingCallback: function(panel, acc){
	// 		$(panel).parent().parent().removeClass('active');
	// 		$(acc).parent().parent().removeClass("active");
	// 		$(acc).parent().parent().addClass("closed");
	// 	},
	// 	toggleCallback: function(panel, acc, bool) {
	// 		var np = $(acc).parent().parent().parent().parent().parent().parent()[0];
	// 		np.style.maxHeight = "100%";
	// 		if (bool === false) {
	// 			$(panel).parent().parent().removeClass('active');
	// 			$(acc).parent().parent().removeClass("active");
	// 			$(acc).parent().parent().addClass("closed");
	// 	    } else {
	// 			$(panel).parent().parent().addClass('active');
	// 			$(acc).parent().parent().addClass("active");
	// 			$(acc).parent().parent().removeClass("closed");
	// 	    }
	// 	    window.setTimeout(function(){
	// 	    	np.style.maxHeight = np.clientHeight + "px";
	// 	    }, 200);
	// 	}
	// });
}(window, document, jQuery));

// function addAccordionListener(acc, i) {
// 	for (i = 0; i < acc.length; i++) {
// 		accordion(acc, i);
// 	}
// }
// function closeAllAccordions(acc, theIndex) {
// 	var i;
// 	for (i = 0; i < acc.length; i++) {
// 		if(theIndex !== i) {
// 			var panel = document.querySelectorAll(".more-details .details-container")[i];
// 			if (panel.style.maxHeight) {
// 				panel.style.maxHeight = null;
// 				jQuery(panel).parent().parent().removeClass('active');
// 				jQuery(acc[i]).parent().parent().removeClass("active");
// 				jQuery(acc[i]).parent().parent().addClass("closed");
// 			}
// 		}
// 	}
// }
// var acc = document.getElementsByClassName("plus-icon");
// var i;
// addAccordionListener(acc, i);
// var acc = document.getElementsByClassName("dropdown");
// var i;
// addAccordionListener(acc, i);
// function accordion(acc, i) {
// 		var theIndex = i;
// 	  acc[i].addEventListener("click", function() {
// 	    this.classList.toggle("active");
// 	    var panel = document.querySelectorAll(".more-details .details-container")[theIndex];
// 	    if (panel.style.maxHeight) {
// 	      panel.style.maxHeight = null;
// 	      jQuery(panel).parent().parent().removeClass('active');
// 	      jQuery(this).parent().parent().removeClass("active");
// 	      jQuery(this).parent().parent().addClass("closed");
// 	    } else {
// 	    	jQuery(panel).parent().parent().addClass('active');
// 	    	jQuery(this).parent().parent().addClass("active");
// 	    	jQuery(this).parent().parent().removeClass("closed");
// 	      panel.style.maxHeight = panel.scrollHeight + "px";
// 	    }
// 	    closeAllAccordions(acc, theIndex);
// 	  });
// }
