class UIbyZahran {
	alert(myMessage, icon, type) {
		let alertsLength = jQuery(".uibyzahran-alert-container .uibyzahran-alert-inner").length;
		if(alertsLength > 0) {
			if(alertsLength >= 4) {
				jQuery(jQuery(".uibyzahran-alert-container .uibyzahran-alert-inner")[0]).find("td.close").click();
			}
			let htmlStructure = `
				<div class="uibyzahran-alert-inner adding">
					<table>
						<tbody>
							<tr>
								<td class="icon ${type}"><i class="fas ${icon}"></i></td>
								<td class="message">${myMessage}</td>
								<td class="close"><i class="fas fa-times"></i></td>
							</tr>
						</tbody>
					</table>
				</div>
			`;
			jQuery(".uibyzahran-alert-container").append(htmlStructure);
		} else {
			let htmlStructure = `
				<div class="uibyzahran-alert-container">
					<div class="uibyzahran-alert-inner adding">
						<table>
							<tbody>
								<tr>
									<td class="icon ${type}"><i class="fas ${icon}"></i></td>
									<td class="message">${myMessage}</td>
									<td class="close"><i class="fas fa-times"></i></td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			`;
			jQuery("body").append(htmlStructure);
		}
		window.setTimeout(function(){
			let addingAlert = jQuery(".uibyzahran-alert-inner.adding");
			addingAlert.addClass('show').find("td.close").on("click", function(){
				let alertCont = jQuery(this).parent().parent().parent().parent();
				alertCont.removeClass('show');
				window.setTimeout(function(){
					alertCont.remove();
					if(jQuery(".uibyzahran-alert-container .uibyzahran-alert-inner").length === 0) {
						jQuery(".uibyzahran-alert-container").remove();
					}
				}, 500);
			}).removeClass('adding');
			window.setTimeout(function(){
				addingAlert.find("td.close").click();
			}, 5000);
		},1);
	}
	alert_success(message) {
		this.alert(message, 'fa-check', 'success');
	}
	alert_danger(message) {
		this.alert(message, 'fa-times', 'danger');
	}
	find_parent_by_class(currentEl, parentSelector) {
		let parentEl = jQuery(currentEl).parent();
		while(!parentEl.hasClass(parentSelector)) {
		    if(jQuery(parentEl).is('body')) {
		    	return parentEl;
		    }
		    parentEl = parentEl.parent();
		}
		return parentEl;
	}
	removeTableRow(tr, func = null) {
		jQuery(tr).addClass('uibyzahran-transition');
		window.setTimeout(function(){
			jQuery(tr).addClass('uibyzahran-remove-tr');
			window.setTimeout(function(){
				jQuery(tr).remove();
				if(func !== null) {
					func();
				}
			}, 500);
		},1);
	}
	ajax(obj = {}) {

		let that = this;

		let org_success = obj['success'] || function(){};

		let org_error = obj['error'] || function(){};

		obj['success'] = function(response) {
				
			let org_response = response;

			try {

				response = JSON.parse(response);

			} catch (e) {

			}

			if(response && response.rp_validation_error && response.rp_validation_error != '') {

				that.alert_danger(response.rp_validation_error);

				org_error( org_response );

			} else {

				if( org_success && org_success != null ) {

					org_success( org_response );

				}

			}
		};

		if( obj && obj.data ) {

			if (typeof obj.data === "object" && typeof obj.data.append === "function") {
				obj.data.append('rp_csrf_token', jQuery('input[name="rp_csrf_token"]').val());
			} else {
				obj.data['rp_csrf_token'] = jQuery('input[name="rp_csrf_token"]').val();
			}

		}

		jQuery.ajax(obj);
	}
}

window.repairPluginUI = new UIbyZahran();
