<?php
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;
global $rpQuery;
function wpRepairLoadSidebar($name = '') {
	$fileName = WP_REPAIR_PLUGIN_PATH.'html/sidebar.php';
	$fileName = str_replace(array('/', '\\'), DIRECTORY_SEPARATOR, $fileName);
	require_once $fileName;
	wp_repair_admin_settings_sidebar($name);
}
$configure_email = $rpQuery->prefix . "rs_configure_mail";
$settings_detail = $rpQuery->get_results("SELECT * FROM $configure_email");

if($settings_detail){
	$ce_id = $settings_detail[0]->ce_id;
	if(isset($_POST['configure_email'])){
		$email     = $_POST['email'];
	    $password  = $_POST['password'];
	    $port      = $_POST['port'];
	    $host      = $_POST['host'];
	    $ecryption = $_POST['smtp_encryption'];
	    $rpQuery->query("UPDATE $configure_email SET my_email = '".rp_escape_sql($email)."',my_email_password = '".rp_escape_sql($password)."',smtp_host = '".rp_escape_sql($host)."',smtp_port = '".rp_escape_sql($port)."',smtp_encryption = '".rp_escape_sql($ecryption)."' WHERE ce_id='".rp_escape_sql($ce_id)."'");
    	echo "<script>location.replace('admin.php?page=wp_repair_settings&section=configure_mail');</script>";
	}
}else{
	if(isset($_POST['configure_email'])){
		$email     = $_POST['email'];
	    $password  = $_POST['password'];
	    $port      = $_POST['port'];
	    $host      = $_POST['host'];
	    $ecryption = $_POST['smtp_encryption'];
	    $rpQuery->query("INSERT INTO $configure_email(my_email,my_email_password,smtp_host,smtp_port,smtp_encryption) VALUES('".rp_escape_sql($email)."','".rp_escape_sql($password)."','".rp_escape_sql($host)."','".rp_escape_sql($port)."','".rp_escape_sql($ecryption)."')");
    	echo "<script>location.replace('admin.php?page=wp_repair_settings&section=configure_mail');</script>";
	}
}
?>
<style type="text/css">
	.bg-with-border{
		padding: 3%;
	}
</style>
<div class="wp-repair-container">
	<div class="wp-repair-row">
		<div class="wp-repair-col-12 settings">
			<div class="repair-dl-rounded-container">
				<div class="wp-repair-row">
					<?php wpRepairLoadSidebar('configure_mail'); ?>
					<div class="bg-with-border">
						<form method="post" action="">
							<div class="wp-repair-col-4 main-section section-one">
								<div class="wp-repair-main-section-heading">
									<h2>
										<span class="light">Email</span>
										<span class="bold">Configuration</span>
									</h2>
									<p class="more-info">Please fill in all necessary fields in order to send confirmation emails</p>
								</div>
								<div class="wp-repair-input-group">
									<label>Email Address</label>
									<input type="text" class="user-info" name="email" value="<?php if($settings_detail){echo $settings_detail[0]->my_email;}?>" required>
								</div>
								<div class="wp-repair-input-group">
									<label>Email Password</label>
									<input type="text" class="user-info" name="password" value="<?php if($settings_detail){echo $settings_detail[0]->my_email_password;}?>" required>
								</div>
								<div class="wp-repair-input-group">
									<label>SMTP Host</label>
									<input type="text" class="user-info" name="host" value="<?php if($settings_detail){echo $settings_detail[0]->smtp_host;}?>" required>
								</div>
								<div class="wp-repair-input-group">
									<label>SMTP Port Number</label>
									<input type="number" class="user-info" name="port" value="<?php if($settings_detail){echo $settings_detail[0]->smtp_port;}?>" required>
								</div>
								<div class="wp-repair-input-group">
									<label>SMTP Encryption</label>
									<input type="text" class="user-info" name="smtp_encryption" value="<?php if($settings_detail){echo $settings_detail[0]->smtp_encryption;}?>" required>
								</div>
								<div class="sec-3" style="margin-top: 1.4rem">
									<button type="submit" id="configure_email" name="configure_email" class="wp-general-info">Save Configuration</button> 
								</div>
								<h3 class="company-logo-theme-color ptop-30"></h3>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
wp_enqueue_script('wp-repair-plugin-js', WP_REPAIR_PLUGIN_URL.'assets/js/main.js?what='.uniqid());
?>


