<?php

// Exit if accessed directly

defined( 'ABSPATH' ) || exit;

global $rpQuery;

$category_table = $rpQuery->prefix . "rs_category";

$brand_table = $rpQuery->prefix . "rs_brand";

$model_table = $rpQuery->prefix . "rs_model";

$model_color_table = $rpQuery->prefix . "rs_model_color";

$repair_table= $rpQuery->prefix . "rs_repair";

$r_attr_table= $rpQuery->prefix . "rs_repair_attr";

$dc_tablename = $rpQuery->prefix . "rs_default_color";

$dr_tablename = $rpQuery->prefix . "rs_default_repair";

$da_tablename = $rpQuery->prefix . "rs_default_repair_attr";



$dl_class = new RepairPluginPro\Download_Libraries($rpQuery);

$names_only = $_POST['download_libraries'] ?? FALSE;

if(!empty($names_only)) {
	$names_only = FALSE;
} else {
	$names_only = TRUE;
}

$data = $dl_class->fetch_repair_base(TRUE, $names_only);
$dl_class->save_handler($data);

$rp_base_class = new RepairpluginBase(WP_REPAIR_PLUGIN_FILE);
$license = $rp_base_class->getOldWPResponse();

$is_trial_license = FALSE;

if(!empty($license) && property_exists($license, 'license_title') && strpos(strtolower(trim($license->license_title)), 'pro tryout') !== FALSE) {
	$is_trial_license = TRUE;
}

// Example Usage for Download_Languages Class is below

// $baselang_class = new RepairPluginPro\Download_Languages($rpQuery);

// $_POST['lang_uq_ids'] = array('lang_5cb71ecQxMIZ', 'lang_dfb21ebmKgeS');

// $response = $baselang_class->fetch_repair_base(TRUE, FALSE);

// echo "<pre>";

// print_r($response);

// exit;

?>
<?php wp_repair_admin_setup_tour_nav_html(); ?>
<div class="wp-repair-container">
	<style>
		#rp_downloading_libraries_images,
		#rp_creating_repairs_and_colors_for_models {
			max-width: 1000px;
			margin: auto;
			width: 100%;
		}
		#myProgress,
		#rp_downloading_libraries_images .myProgress,
		#rp_creating_repairs_and_colors_for_models .myProgress {
		  	width: 100%;
		  	background-color: #ddd;
		  	border-radius: 30px;
		  	overflow: hidden;
		}
		#myBar,
		#rp_downloading_libraries_images .myBar,
		#rp_creating_repairs_and_colors_for_models .myBar {
		  	width: 1%;
		  	height: 30px;
		  	background-color: #1275c2;
		  	transition: all 0.3s;
		  	border-radius: 30px;
		}
		.limit_btn{
			font-weight: 700;
		    font-size: 16px;
		    letter-spacing: 1px;
		    text-transform: uppercase;
		    padding: 10px 14px;
		    background: #ffF;
		    cursor: pointer;
		    color: #1275c2;
		    border: 2px solid #1275c2;
		    border-radius: 8px;
		    text-decoration: none;
		}
		p.failed-fetch {
			background: #f8d7da;
			color: #721c24;
			border-radius: 8px;
			border: 2px solid #f5c6cb;
			padding: 12px;
			font-size: 13px;
			width: calc(100% - 10px);
		}
		p.trial-license {
			background: #cce5ff;
			color: #004085;
			border-radius: 8px;
			border: 2px solid #b8daff;
			padding: 12px;
			font-size: 13px;
			width: calc(100% - 30px);
		}
		.wp-repair-alert.info {
			margin-top: 0px;
			background: #cce5ff;
			color: #004085;
			border-radius: 8px;
			border: 1px solid #b8daff;
			padding: 12px;
			font-size: 13px;
			width: calc(100% - 10px);
			display: none;
		}
		.wp-repair-alert.error {
			margin-top: 0px;
			background: #f8d7da;
			color: #721c24;
			border-radius: 8px;
			border: 2px solid #f5c6cb;
			padding: 12px;
			font-size: 13px;
			width: calc(100% - 10px);
			display: none;
		}
		.wp-repair-alert.success {
			margin-top: 0px;
			background: #d4edda;
			color: #155724;
			border-radius: 8px;
			border: 1px solid #c3e6cb;
			padding: 12px;
			font-size: 13px;
			width: calc(100% - 10px);
			display: none;
		}
		.wp-repair-alert.error.show,
		.wp-repair-alert.success.show,
		.wp-repair-alert.info.show {
			display: table;
		}
		li.model-li {
			position: relative;
		}
		.checked-svg-icon {
			position: absolute;
			display: table;
			left: -19px;
			top: 1.5px;
		}
		.checked-svg-icon img {
			width: 15px;
			height: 15px;
		}
		.inline-buttons {
                position: relative;
                left: 15px;
                margin-top: 10px;
            }
            .inline-buttons a {
                text-decoration: none;
                padding: 6px 8px;
                border: 2px solid #1275c2;
                border-radius: 5px;
                color: #1275c2;
                background: #fff;
            }
            .inline-buttons a.selected {
                border: 2px solid #1275c2;
                border-radius: 5px;
                color: #fff;
                background: #1275c2;
            }
            .inline-buttons a:hover,
            .inline-buttons a:active,
            .inline-buttons a:focus {
                box-shadow: unset;
                text-decoration: none;
            }
	</style>

	<?php

	if(!isset($_POST['download_libraries'])) {
		$dlImagesProgressData = wp_repair_download_libraries_images_get_progress_data();
		if(!empty($dlImagesProgressData)) {
			$total_dl_images = (int)$dlImagesProgressData['total'];
			$remaining_dl_images = (int)$dlImagesProgressData['remaining'];
			$done_dl_images = $total_dl_images - $remaining_dl_images;

			if($total_dl_images > 0) {
				$percentRemaining = ($remaining_dl_images * 100) / $total_dl_images;
				$percentDone = 100 - $percentRemaining;
			} else {
				$percentDone = 100;
				$total_dl_images = 'X';
				$done_dl_images = 'X';
			}
		} else {
			$percentDone = 0;
			$total_dl_images = 'X';
			$done_dl_images = 'X';
		}
		?>
		<div <?php if($percentDone >= 100) { echo 'style="display: none;"'; } ?> id="rp_downloading_libraries_images">
			<p><strong>Downloading Images...</strong><br><span class="desc" <?php if($percentDone >= 100) { echo 'style="display: none;"'; } ?>><span class="done"><?php echo $done_dl_images; ?></span> out of <span class="total"><?php echo $total_dl_images; ?></span> Images Downloaded</span></p>
			<div class="myProgress">
			  <div class="myBar" style="width: <?php echo $percentDone.'%'; ?>;"></div>
			</div>
			<p style="font-style: italic; font-size: 12px;">Taking too long? Do not worry, this process work in the background. So please feel free to leave this page to do other important stuff.</p>
		</div>
		<?php
	}

	?>

	<div style="display: none;" id="rp_creating_repairs_and_colors_for_models">
		<p><strong>Adding Repairs and Colors to Models.</strong><br><span class="desc" style="display: none;"><span class="done">X</span> out of <span class="total">X</span> Models Done</span></p>
		<div class="myProgress">
		  <div class="myBar"></div>
		</div>
	</div>

	<?php
    require_once(WP_REPAIR_PLUGIN_PATH.'html/pending_jobs_progress.php');
    ?>

	<div class="wp-repair-row">

		<div class="wp-repair-col-12 type-category">

			<?php
			
			function rp_download_libraries_navigation( $section = 'languages' ) {

				?>
				<div class="inline-buttons">
					<a href="?page=wp_repair_download_libraries" <?php if($section === 'languages') { echo 'class="selected"'; } ?>>Download Languages</a>
					<a href="?page=wp_repair_download_libraries&section=download_libraries" <?php if($section === 'download_libraries') { echo 'class="selected"'; } ?>>Download Models</a>
                    <a href="?page=wp_repair_download_libraries&section=repairs" <?php if($section === 'repairs') { echo 'class="selected"'; } ?>>Download Repairs</a>
				</div>
				<?php

			}

			rp_download_libraries_navigation('download_libraries');

			?>

			<form method="post" action="" id="the_dl_form" style="margin-top: 15px;">

				<?php
				rp_csrf_token_input_field('download_libraries');
				?>

				<div class="repair-dl-rounded-container">

					<?php

					if($is_trial_license === TRUE) {
						?>
						<p class="trial-license"><i class="fas fa-info-circle"></i> You are using the try-out version of RepairPlugin Pro. The import will only download the latest 5 models from every brand. Want to use the full import? <a href="https://www.repairplugin.com/onboard/checkout/" target="_blank">Renew your license here</a></p>
						<?php
					}

					?>

					<div class="wp-repair-row">

						<div class="wp-repair-col-6">

							<p class="light">Selection List</p>

							<div class="multicheckboxes">

								<?php
								if(!empty($data)) {
									?>
									<ul id="tree" class="opened">

									<?php $i = 0;

									$already_downloaded = array();

									$m_result = $rpQuery->get_results("SELECT * FROM $model_table");

									if(!empty($m_result)) {

										foreach ($m_result as $db_model) {
											
											$already_downloaded[] = trim($db_model->m_uq_id);

										}

									}

	    							foreach($data->all_records->categories as &$cat){

										$cat->c_name = rp_sanitize_output($cat->c_name);

									?>

									<li>

										<button type="button" class="btn-dropdown"><span class="chevron up"><i class="fas fa-chevron-down"></i></span></button>

										<label class="checkbox-container">

										  	<input type="checkbox" <?php echo $cat->c_name; ?> name="c_id[]" value="<?php echo $cat->c_uq_id; ?>" >

										  	<span class="checkmark"></span>

										  	<span class="text"><?php echo $cat->c_name; ?></span>

										</label>



										<ul class="opened">

  											<?php if($cat->brands){ foreach($cat->brands as &$brand){

												$brand->b_name = rp_sanitize_output($brand->b_name);

											?>

											<li>

												<button type="button" class="btn-dropdown"><span class="chevron down"><i class="fas fa-chevron-down"></i></span></button>

												<label class="checkbox-container">

												  	<input type="checkbox" name="b_id[]" value="<?php echo $brand->b_uq_id; ?>">

												  	<span class="checkmark"></span>

												  	<span class="text"><?php echo $brand->b_name; ?></span>

												</label>



												<ul class="closed" style="max-height: 0px;">

													<?php if($brand->models ?? FALSE){ foreach($brand->models as &$model){

														$model->m_name = rp_sanitize_output($model->m_name);

													?>

													<li class="model-li">

														<?php
														if(in_array($model->m_uq_id, $already_downloaded) !== FALSE) {

															?>
															<div class="checked-svg-icon">
																<img src="<?php echo WP_REPAIR_PLUGIN_URL.'assets/images/checkmark.svg'; ?>" alt="Checked Icon">
															</div>
															<?php

														}
														?>

														<label class="checkbox-container">

														  	<input type="checkbox" name="m_id[]" value="<?php echo $model->m_uq_id; ?>">

														  	<span class="checkmark"></span>

														  	<span class="text"><?php echo $model->m_name; ?></span>

														</label>
													</li>

													<?php } }?>

												</ul>

											</li>

											<?php } }?>

										</ul>

									</li>

									<?php $i++;}?>

								</ul>
									<?php
								} else {
									?>
									<p class="failed-fetch">Error: Failed to fetch libraries from repair plugin server.</p>
									<?php
								}
								?>

							</div>

						</div>

						<div class="wp-repair-col-6">

							<div class="group-dl-data">
								<p class="wp-repair-alert error" ></p>
								<p class="wp-repair-alert success" ></p>
								<p class="wp-repair-alert info" ></p>

								<button type="submit" name="download_libraries" class="download-libraries">Download Models <i class="fas fa-caret-right"></i></button>

								<table class="table latest-package">

									<thead>

										<tr>

											<th style="width: 49.5%;"></th>

											<th style="width: 49.5%;"></th>

										</tr>

									</thead>

									<tbody>

										<tr>

											<?php 

												$latest_package = $rpQuery->get_row("SELECT * FROM $category_table ORDER BY upated_on DESC");

												if($latest_package){

													$date = strtotime($latest_package->upated_on);

													$date = date('Y-m-d', $date);

													$centries = $rpQuery->get_var("SELECT COUNT(*) FROM $category_table WHERE upated_on >= '".rp_escape_sql($date)."'");

													$bentries = $rpQuery->get_var("SELECT COUNT(*) FROM $brand_table WHERE updated_on >= '".rp_escape_sql($date)."'");

													$mentries = $rpQuery->get_var("SELECT COUNT(*) FROM $model_table WHERE updated_on >= '".rp_escape_sql($date)."'");

													$mcentries = $rpQuery->get_var("SELECT COUNT(*) FROM $model_color_table WHERE updated_on >= '".rp_escape_sql($date)."'");

													$rentries = $rpQuery->get_var("SELECT COUNT(*) FROM $repair_table WHERE updated_on >= '".rp_escape_sql($date)."'");

													$raentries = $rpQuery->get_var("SELECT COUNT(*) FROM $r_attr_table WHERE updated_on >= '".rp_escape_sql($date)."'");

													$entries = $centries + $bentries + $mentries + $mcentries + $rentries + $raentries;

												}

											?>

											<td class="th-light">Your Last Update</td>

											<td class="th-bold"><?php
											
												$last_update = rp_get_option('rp_download_models_last_update', FALSE);

												if( !empty($last_update) ) {
													echo date('Y-m-d', strtotime($last_update));
												} else {
													echo '--';
												}

											?></td>

										</tr>

										<tr>

											<td class="th-light">New Models Since Update</td>

											<td class="th-bold"><?php 

												if(($data->since_update ?? 'none') !== 'none') {
													echo ($data->since_update ?? '');
												} else {
													echo '--';
												}

											?></td>

										</tr>

									</tbody>

								</table>

<!-- 								<table class="table filter-by">

									<thead>

										<tr>

											<th></th>

											<th class="no-pd-btm">Filter By</th>

										</tr>

									</thead>

									<tbody>

										<tr>

											<td>

												<label class="switch">

												  <input type="checkbox" checked="checked">

												  <span class="slider round"></span>

												</label>

											</td>

											<td class="strong">New Entries</td>

										</tr>

										<tr>

											<td>

												<label class="switch">

												  <input type="checkbox" checked="checked">

												  <span class="slider round"></span>

												</label>

											</td>

											<td class="strong">Existing Entries</td>

										</tr>

										<tr>

											<td>

												<label class="switch">

												  <input type="checkbox" checked="checked">

												  <span class="slider round"></span>

												</label>

											</td>

											<td class="strong">Unchecked Entries</td>

										</tr>

										<tr>

											<td></td>

											<td><p class="light no-space">Unchecked Options will not be displayed in your libraries</p></td>

										</tr>

									</tbody>

								</table> -->

								<!-- <button class="save-dl-settings">Save Settings <i class="fas fa-caret-right"></i></button> -->

							</div>

						</div>

					</div>

				</div>

			</form>

		</div>

	</div>

</div>

<?php

wp_enqueue_script('wp-repair-plugin-js', WP_REPAIR_PLUGIN_URL.'assets/js/main.js?what='.uniqid());
wp_enqueue_style('wp-repair-plugin-ui-css', WP_REPAIR_PLUGIN_URL.'assets/css/ui-by-zahran.css?what='.uniqid());
wp_enqueue_script('wp-repair-plugin-ui-js', WP_REPAIR_PLUGIN_URL.'assets/js/ui-by-zahran.js?what='.uniqid());

?>

<script type="text/javascript">

	(function(jQuery){
    jQuery.fn.extend({

        checktree: function(){
            jQuery(this)
                .addClass('checktree-root')
                .on('change', 'input[type="checkbox"]', function(e){
                    e.stopPropagation();
                    e.preventDefault();

                    checkParents(jQuery(this));
                    checkChildren(jQuery(this));
                })
            ;

            var checkParents = function (c)
            {
                var parentLi = c.parents('ul:eq(0)').parents('li:eq(0)');

                if (parentLi.length)
                {
                    var siblingsChecked = parseInt(jQuery('input[type="checkbox"]:checked', c.parents('ul:eq(0)')).length),
                        rootCheckbox = parentLi.find('input[type="checkbox"]:eq(0)')
                    ;

                    if (c.is(':checked'))
                        rootCheckbox.prop('checked', true)
                    else if (siblingsChecked === 0)
                        rootCheckbox.prop('checked', false);

                    checkParents(rootCheckbox);
                }
            }

            var checkChildren = function (c)
            {
                var childLi = jQuery('ul li input[type="checkbox"]', c.parents('li:eq(0)'));

                if (childLi.length)
                    childLi.prop('checked', c.is(':checked'));
            }
        }

    });
})(jQuery);

jQuery('#tree').checktree();

window.wpRepairLibarariesDownloading = false;
window.repairsAndColorsUpdate = false;

jQuery('.download-libraries, .save-dl-settings').on('click', function(e){
	if(window.wpRepairLibarariesDownloading === true) {
		alert('Downloading already in progress...');
		return;
	}
	window.wpRepairLibarariesDownloading = true;
	e.preventDefault();
	var orgText = jQuery(".download-libraries").text();
	jQuery(".download-libraries").html('Downloading' + ' <i class="fas fa-spinner fa-spin"></i>');
	window.setTimeout(function(){
		var inputs = jQuery("#the_dl_form").serializeArray();
		var c_id = [];
		var b_id = [];
		var m_id = [];
		if(!inputs) {
			window.wpRepairLibarariesDownloading = false;
			alert('Something went wrong, please try again later.');
			return;
		}
		inputs.forEach(function(item){
    		if(item.name.indexOf("c_id") !== -1) {
    			c_id.push(item.value);
    		} else if(item.name.indexOf("b_id") !== -1) {
    			b_id.push(item.value);
    		} else if(item.name.indexOf("m_id") !== -1) {
    			m_id.push(item.value);
    		} else {

    		}
		});
		var json_string = JSON.stringify({
			c_id: c_id,
			b_id: b_id,
			m_id: m_id
		});
		repairPluginUI.ajax({
			'type': 'POST',
			'url': '<?php echo get_site_url(); ?>/wp-admin/admin-ajax.php',
			data: {
				action: 'wp_repair_download_libraries',
				the_dl_form: json_string
			},
			success: function(response) {
				window.wpRepairLibarariesDownloading = false;
				try {
					response = JSON.parse(response);
				} catch (e) {
					response = null;
				}
				if(response && response.success) {
					jQuery(".wp-repair-alert.error").removeClass('show');
					if(response.success === 'new_downloads') {
						var alert_msg = `
							<strong>${response.counts.categories}</strong> new categories, <strong>${response.counts.brands}</strong> new brands, <strong>${response.counts.models}</strong> new models has been downloaded.
						`;
						jQuery(".wp-repair-alert.success").html(alert_msg).addClass('show');
						jQuery(".download-libraries").html(orgText);
						jQuery("#rp_processing_pending_jobs").show();
						window.setTimeout(function(){
                            if( 'repeatablePendingJobsProcessingAR' in window && window.repeatablePendingJobsProcessingAR === false ) {
                                window._repeatablePendingJobsProcessing();
                            }
                        }, window._getNextSafeSchedule(1));
					} else {
						<?php

						if($is_trial_license === TRUE) {
							?>
							jQuery(".wp-repair-alert.success").text('All selected libraries attached to your license are already updated.').addClass('show');
							<?php
						} else {
							?>
							jQuery(".wp-repair-alert.success").text('All selected libraries are already updated.').addClass('show');
							<?php
						}

						?>
						jQuery(".download-libraries").html(orgText);
					}
					return;
				} else {
					jQuery(".wp-repair-alert.success").removeClass('show');
					if(response.error) {
						jQuery(".wp-repair-alert.error").text(response.error).addClass('show');
					} else {
						jQuery(".wp-repair-alert.error").text('Something went wrong, please try again later.').addClass('show');
					}
					jQuery(".download-libraries").html(orgText);
				}
			},
			error: function() {
				window.wpRepairLibarariesDownloading = false;
				jQuery(".wp-repair-alert.success").removeClass('show');
				jQuery(".wp-repair-alert.error").text('Something went wrong, please try again later.').addClass('show');
				jQuery(".download-libraries").html(orgText);
			}
		});
	}, 60);
});



</script>

</script>

