<?php
// Exit if accessed directly

defined( 'ABSPATH' ) || exit;

//rp_enable_search_by_nearest_location, rp_el_show_location_image_on_frontend, rp_el_auto_assign_location, rp_el_enable_location_selection_pdf, rp_el_ship_device_choose_location

?>
<p class="company-logo-theme-color">Please enter Google Maps API Key below to enable nearest location features</p>
<div class="wp-repair-input-group">
    <label>API Key</label>
    <input type="text" class="user-info" name="rp_el_google_maps_api_key" value="<?php echo rp_get_option('rp_el_google_maps_api_key', ''); ?>">
</div>
<?php
if( !empty( rp_get_option('rp_el_google_maps_api_key', '') ) ) {
    ?>
    <div class="tax-fields first" style="margin-top: 25px; margin-bottom: 10px;">
        <div class="apply-tax-rate">
            <div class="td select">
                <label class="switch">
                    <input type="hidden" name="rp_enable_search_by_nearest_location" value="0">
                    <input type="checkbox" name="rp_enable_search_by_nearest_location" <?php if(rp_get_option('rp_enable_search_by_nearest_location', '1') === '1') { echo 'checked="checked"'; } ?> value="1">
                    <span class="slider round"></span>				
                </label>
            </div>
            <div class="td text">
                <span class="text">Enable Search by Nearest Location on Front-End</span>
            </div>
        </div>
    </div>
    <div class="tax-fields first" style="margin-top: 20px; margin-bottom: 10px;">
        <div class="apply-tax-rate">
            <div class="td select">
                <label class="switch">
                    <input type="hidden" name="rp_el_auto_assign_location" value="0">
                    <input type="checkbox" name="rp_el_auto_assign_location" <?php if(rp_get_option('rp_el_auto_assign_location', '1') === '1') { echo 'checked="checked"'; } ?> value="1">
                    <span class="slider round"></span>				
                </label>
            </div>
            <div class="td text">
                <span class="text">Automatically assign nearest location to the Pickup Service / Repair on Location appointment</span>
            </div>
        </div>
    </div>
    <p class="company-logo-theme-color" style="margin-top: 15px;">Preferred Distance Unit</p>
    <span class="wp-repair-repair-card">
        <select class="coupons_select" name="rp_el_prefered_distance_unit" required>
            <?php
            $rp_el_prefered_distance_unit = rp_get_option('rp_el_prefered_distance_unit', 'km');
            $subTextoptions = array(
                'km' => 'KM (Kilometers)',
                'miles' => 'Miles'
            );
            foreach ($subTextoptions as $optKey => $optValue) {
                ?>
                <option <?php if(trim($rp_el_prefered_distance_unit) === $optKey) { echo 'selected="selected"'; } ?> value="<?php echo $optKey; ?>"><?php echo $optValue; ?></option>
                <?php
            }
            ?>
        </select>
    </span>
    <?php
}
?>
<div class="tax-fields first" style="margin-top: 25px; margin-bottom: 5px;">
    <div class="apply-tax-rate">
        <div class="td select">
            <label class="switch">
                <input type="hidden" name="rp_el_show_location_image_on_frontend" value="0">
                <input type="checkbox" name="rp_el_show_location_image_on_frontend" <?php if(rp_get_option('rp_el_show_location_image_on_frontend', '1') === '1') { echo 'checked="checked"'; } ?> value="1">
                <span class="slider round"></span>				
            </label>
        </div>
        <div class="td text">
            <span class="text">Show location image on Front-End</span>
        </div>
    </div>
</div>
<div class="tax-fields first" style="margin-top: 25px; margin-bottom: 10px;">
        <div class="apply-tax-rate">
            <div class="td select">
                <label class="switch">
                    <input type="hidden" name="rp_el_ship_device_choose_location" value="0">
                    <input type="checkbox" name="rp_el_ship_device_choose_location" <?php if(rp_get_option('rp_el_ship_device_choose_location', '1') === '1') { echo 'checked="checked"'; } ?> value="1">
                    <span class="slider round"></span>				
                </label>
            </div>
            <div class="td text">
                <span class="text">Allow customers to choose a location to ship their device to</span>
            </div>
        </div>
    </div>
<div class="tax-fields first" style="margin-top: 30px; margin-bottom: 10px;">
        <div class="apply-tax-rate">
            <div class="td select">
                <label class="switch">
                    <input type="hidden" name="rp_el_enable_location_selection_pdf" value="0">
                    <input type="checkbox" name="rp_el_enable_location_selection_pdf" <?php if(rp_get_option('rp_el_enable_location_selection_pdf', '1') === '1') { echo 'checked="checked"'; } ?> value="1">
                    <span class="slider round"></span>				
                </label>
            </div>
            <div class="td text">
                <span class="text">Allow customers to choose a location when entering details for offer.pdf</span>
            </div>
        </div>
    </div>
<div class="sec-3 desktop">
    <button type="submit" name="update_company" id="update_company" class="wp-general-info">Save Settings</button>
</div>