<?php
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;
if(!function_exists('wpRepairGetStyleSheetURLOfBundleCSS')) {
	function wpRepairGetStyleSheetURLOfBundleCSS() {
		$fileName = WP_REPAIR_PLUGIN_URL.'assets/css/front_end/bundle.css?id='.WP_REPAIR_ASSETS_CACHE_V;
		$fileName = str_replace(array('/', '\\'), '/', $fileName);
		return $fileName;
	}
}
if(!function_exists('wpRepairGetStyleSheetURLOfUICSS')) {
	function wpRepairGetStyleSheetURLOfUICSS() {
		$fileName = WP_REPAIR_PLUGIN_URL.'assets/css/ui-by-zahran.css?id='.WP_REPAIR_ASSETS_CACHE_V;
		$fileName = str_replace(array('/', '\\'), '/', $fileName);
		return $fileName;
	}
}
if(!function_exists('wpRepairGetScriptURLOfBundleJS')) {
	function wpRepairGetScriptURLOfBundleJS() {
		$fileName = WP_REPAIR_PLUGIN_URL.'assets/js/bundle.js?id='.WP_REPAIR_ASSETS_CACHE_V;
		$fileName = str_replace(array('/', '\\'), '/', $fileName);
		return $fileName;
	}
}
if(!function_exists('wpRepairGetScriptURLOfUIJS')) {
	function wpRepairGetScriptURLOfUIJS() {
		$fileName = WP_REPAIR_PLUGIN_URL.'assets/js/ui-by-zahran.js?id='.WP_REPAIR_ASSETS_CACHE_V;
		$fileName = str_replace(array('/', '\\'), '/', $fileName);
		return $fileName;
	}
}
if(!function_exists('wpRepairGetScriptURLOfProgressJS')) {
	function wpRepairGetScriptURLOfProgressJS() {
		$fileName = WP_REPAIR_PLUGIN_URL.'assets/js/progress.js?id='.WP_REPAIR_ASSETS_CACHE_V;
		$fileName = str_replace(array('/', '\\'), '/', $fileName);
		return $fileName;
	}
}
if(!function_exists('wpRepairLoadProgressBar')) {
	function wpRepairLoadProgressBar() {
		$fileName = WP_REPAIR_PLUGIN_PATH.'html/front_end/progress.php';
		$fileName = str_replace(array('/', '\\'), DIRECTORY_SEPARATOR, $fileName);
		require_once $fileName;
		theProgressBarofWPRepairFrontEnd('types');
	}
}
if(!function_exists('wpRepairGetStyleSheetURLOfrepairTooltipster')) {
	function wpRepairGetStyleSheetURLOfrepairTooltipster() {
		$fileName = WP_REPAIR_PLUGIN_URL.'assets/css/front_end/tooltipster.css?id='.WP_REPAIR_ASSETS_CACHE_V;
		$fileName = str_replace(array('/', '\\'), '/', $fileName);
		return $fileName;
	}
}
if(!function_exists('wpRepairGetJsURLOfrepairTooltipster')) {
	function wpRepairGetJsURLOfrepairTooltipster() {
		$fileName = WP_REPAIR_PLUGIN_URL.'assets/js/jquery.tooltipster.js?id='.WP_REPAIR_ASSETS_CACHE_V;
		$fileName = str_replace(array('/', '\\'), '/', $fileName);
		return $fileName;
	}
}
if(!function_exists('wpRepairLoadMediaQuries')) {
	function wpRepairLoadMediaQuries() {
		$fileName = WP_REPAIR_PLUGIN_PATH.'html/front_end/media_quries.php';
		$fileName = str_replace(array('/', '\\'), DIRECTORY_SEPARATOR, $fileName);
		require_once $fileName;
	}
}


global $wp;
global $rpQuery;
global $wp_repair_lang;
global $wp_repair_selected_language;
$category_table = $rpQuery->prefix . "rs_category";
$c_result = $rpQuery->get_results("SELECT * FROM $category_table WHERE is_active = '1' ORDER BY c_position ASC, c_name ASC");



$company_information = $rpQuery->prefix . "rs_company_information";
$company_results = $rpQuery->get_results("SELECT * FROM $company_information");
$theme_color = $company_results[0]->company_theme_color;


?>
<style type="text/css">
	:root {
  		--theme: #<?php echo $theme_color;?>;
	}
</style>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.css" integrity="sha512-wR4oNhLBHf7smjy0K4oqzdWumd+r5/+6QO/vDda76MW5iug4PT7v86FoEkySIJft3XA0Ae6axhIvHrqwm793Nw==" crossorigin="anonymous" referrerpolicy="no-referrer" />
<link rel="stylesheet" type="text/css" href="<?php echo wpRepairGetStyleSheetURLOfrepairTooltipster(); ?>">
<!-- The appointment system on this site is powered by RepairPlugin.com -->
<link rel="stylesheet" type="text/css" href="<?php echo wpRepairGetStyleSheetURLOfBundleCSS(); ?>">
<link rel="stylesheet" type="text/css" href="<?php echo wpRepairGetStyleSheetURLOfUICSS(); ?>">




<div class="wp-repair-fe-types-conatiner rp-mobile-side-padding page-types is-style-wide">
	<div class="loading-div"></div>
	<br> 
	<br>
</div>


<div id="rp-dp-history-icon">
<?php echo file_get_contents(WP_REPAIR_PLUGIN_PATH.'assets/images/history.svg'); ?>
</div>

<script type="text/javascript">
	<?php
	if(isset($GLOBALS['category_shortcode']) && !empty($GLOBALS['category_shortcode'])) {
		?>
		window.is_category_shortcode = true;
		<?php
	}
	if(isset($GLOBALS['brand_shortcode']) && !empty($GLOBALS['brand_shortcode'])) {
		?>
		window.is_brand_shortcode = true;
		<?php
	}
	?>
	window.rp_currency_position = '<?php echo rp_get_option('rp_set_price_symbol', 'left'); ?>';
	window.rp_terms_and_conditions_page_link = '<?php echo rp_get_option('rp_terms_and_conditions_page_link', ''); ?>';
	window.rp_require_choosing_color = '<?php echo rp_get_option('wp_repair_require_choosing_color', '1'); ?>';
	window.rp_whitelabel = '<?php echo rp_get_option('wp_repair_whitelabel', '0'); ?>';
	window.marginTopRepairScroll = <?php echo rp_get_option('repair_list_margin_top', 30); ?>;
	window.rp_wp_request_url = '<?php echo home_url($wp->request); ?>';
	window.wp_repair_lang = <?php echo json_encode(rp_sanitize_output($wp_repair_lang)); ?>;
	window.wp_repair_selected_language = '<?php echo $wp_repair_selected_language; ?>';
	window.is_enabled_language_selector = <?php echo rp_get_option('rp_enable_language_selector', '1'); ?>;
	window.wp_repair_enabled_languages = <?php echo json_encode(rp_sanitize_output(rp_get_rows_of_enabled_languages())); ?>;
	window.rp_is_enabled_location_selection_pdf = <?php echo rp_is_enabled_location_selection_pdf() ? '1' : '0'; ?>;
	window.rp_location_selection_markup = <?php 
	if( rp_is_enabled_location_selection_pdf() ) {
		ob_start();
		rp_el_location_markup('','',true);
		$rp_el_location_markup = ob_get_clean();
	} else {
		$rp_el_location_markup = '';
	}
	echo json_encode(array('html' => $rp_el_location_markup)); 
	?>;
	window.rp_admin_ajax_url = '<?php echo get_site_url().'/wp-admin/admin-ajax.php'?>';
	window.rp_plugin_url = '<?php echo WP_REPAIR_PLUGIN_URL; ?>';
	window.wp_repair_card_subtext_option = '<?php echo rp_get_option('wp_repair_repair_subtext_setting', 'repair_info'); ?>';
	window.weekdays_translation = {
		'Monday': window.wp_repair_lang['weekday_monday'],
		'Tuesday': window.wp_repair_lang['weekday_tuesday'],
		'Wednesday': window.wp_repair_lang['weekday_wednesday'],
		'Thursday': window.wp_repair_lang['weekday_thursday'],
		'Friday': window.wp_repair_lang['weekday_friday'],
		'Saturday': window.wp_repair_lang['weekday_saturday'],
		'Sunday': window.wp_repair_lang['weekday_sunday']
	};
</script>

<?php 
require_once WP_REPAIR_PLUGIN_PATH.'html/front_end/svg_icons.php';
wpRepairLoadMediaQuries(); 
rp_csrf_token_form_for_ajax('frontend');
rp_google_recaptcha_token_form_for_ajax();
?>

<script src="https://cdn.jsdelivr.net/npm/canvas-confetti@1.4.0/dist/confetti.browser.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js" integrity="sha512-XtmMtDEcNz2j7ekrtHvOVR4iwwaD6o/FUJe6+Zq+HgcCsk3kj4uSQQR8weQ2QVj1o0Pk6PwYLohm206ZzNfubg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script type="text/javascript" src="<?php echo wpRepairGetScriptURLOfProgressJS(); ?>"></script>
<script type="text/javascript" src="<?php echo wpRepairGetJsURLOfrepairTooltipster(); ?>"></script>
<script type="text/javascript" src="<?php echo wpRepairGetScriptURLOfUIJS(); ?>"></script>
<!-- The appointment system on this site is powered by RepairPlugin.com -->
<script type="text/javascript" src="<?php echo wpRepairGetScriptURLOfBundleJS(); ?>"></script>

<script>
	<?php
	
	if( isset($GLOBALS['category_shortcode']) && !empty($GLOBALS['category_shortcode']) ) {

		if( !isset($_GET['selected']) || empty($_GET['selected']) ) {

			$category_row = rp_get_category_by_c_uq_id($GLOBALS['category_shortcode']);

			if( !empty($category_row) ) {

				$categoryName = $category_row->c_name;

				$_SERVER['REQUEST_URI'] = $_SERVER['REQUEST_URI'].'?selected=brands/'.$categoryName;

				$_GET['selected'] = 'brands/'.$categoryName;

			}

		}

	}

	if(isset($GLOBALS['brand_shortcode']) && !empty($GLOBALS['brand_shortcode'])) {

		if( !isset($_GET['selected']) || empty($_GET['selected']) ) {

			$brand_row = rp_get_brand_by_uqid($GLOBALS['brand_shortcode']);

			if( !empty($brand_row) ) {

				$brandName = $brand_row->b_name;

				$category_row = rp_get_category_id_by_c_id_fk($brand_row->c_id_fk);

				if( !empty($category_row) ) {

					$categoryName = $category_row->c_name;

					$_SERVER['REQUEST_URI'] = $_SERVER['REQUEST_URI'].'?selected=models/'.$categoryName.'/'.$brandName;

					$_GET['selected'] = 'models/'.$categoryName.'/'.$brandName;

				}

			}

		}

	}

	$uri_path       = $_SERVER['REQUEST_URI'];

	$fixedURISegment = str_replace(array('http://', 'https://'), '', str_replace($_SERVER['HTTP_HOST'], '', get_site_url()));
	$fixedURISegment = $fixedURISegment;

	if(!empty($fixedURISegment)) {

	    $uri_path = str_replace($fixedURISegment, '', $uri_path);

	}

	if(preg_match('~%[0-9A-F]{2}~i', $uri_path)) {

		$uri_path = urldecode($uri_path);

	}

	$uri_path = str_replace('reschedule=1&', '', $uri_path);

	$uri_segments   = explode('/', $uri_path);

	if(empty($uri_segments)) {
	    $uri_segments = array();
	}

	$segment        = end($uri_segments);

	$secondKey      = count($uri_segments) -2;

	$thirdKey       = count($uri_segments) -3;

	$forthKey       = count($uri_segments) -4;

	$fifthKey       = count($uri_segments) -5;

	$sixKey         = count($uri_segments) -6;

	$sevenKey       = count($uri_segments) -7;

	$eightKey       = count($uri_segments) -8;

	$nineKey       = count($uri_segments) -9;

	$second_segment = $uri_segments[$secondKey] ?? '';

	$third_segment  = $uri_segments[$thirdKey] ?? '';

	$forth_segment  = $uri_segments[$forthKey] ?? '';

	$fifth_segment  = $uri_segments[$fifthKey] ?? '';

	$six_segment    = $uri_segments[$sixKey] ?? '';

	$seven_segment  = $uri_segments[$sevenKey] ?? '';

	$eight_segment  = $uri_segments[$eightKey] ?? '';

	$nine_segment  = $uri_segments[$nineKey] ?? '';

	$rename         = str_replace('_',' ',$segment);

	$rename2        = str_replace('-',' ',$second_segment);

	$add_space      = str_replace('%20',' ',$segment);

	$add_space2     = str_replace('%20',' ',$second_segment);

	$tring     = str_replace('+','plus',$rename2);

	if(isset($_GET['selected'])) {

	    $selected = $_GET['selected'];

	} else {

		$load_step = rp_get_front_end_firsttime_load_step();

		if(!empty($load_step)) {

			$selected = $load_step[0];

			if($selected === 'repairs') {

				$_POST['c_name'] = $load_step[1][0];
				$_POST['b_name'] = $load_step[1][1];
				$_POST['m_name'] = $load_step[1][2];

			} else if($selected === 'models') {

				$_POST['c_name'] = $load_step[1][0];
				$_POST['b_name'] = $load_step[1][1];

			} else if($selected === 'brands') {

				$_POST['c_name'] = $load_step[1][0];

			} else {

			}

		} else {

			$selected = 'types';

		}

	}

	if($selected === 'thanks') {

		?>
		window.thank_you_html_template();
		<?php

	} else if(strtolower($selected) === 'cancel') {
		if(isset($_GET['id']) && isset($_GET['secret_key'])) {
			?>
			window.rp_cancel_id = '<?php echo $_GET['id']; ?>';
			window.rp_cancel_secret = '<?php echo $_GET['secret_key']; ?>';
			<?php
		}
		if(!isset($_POST)) {
			$_POST = array();
		}
		$_POST['id'] = $_GET['id'];
		$_POST['secret_key'] = $_GET['secret_key'];
		?>
		window.first_time_cancel_visit = <?php echo _rp_fe_cancel_page(); ?>;
		window.cancel_html_template();
		<?php
		unset($_POST['id']);
		unset($_POST['secret_key']);

	} else if($selected === 'finalize' || $selected === 'finalize/'.$eight_segment.'/'.$seven_segment.'/'.$six_segment.'/'.$fifth_segment.'/'.$forth_segment.'/'.$third_segment.'/'.$second_segment.'/'.$segment  || $selected === 'finalize/'.$nine_segment.'/'.$eight_segment.'/'.$seven_segment.'/'.$six_segment.'/'.$fifth_segment.'/'.$forth_segment.'/'.$third_segment.'/'.$second_segment.'/'.$segment) {

		$uri_segments = explode('/', $uri_path);
		$segment = count($uri_segments);

		if($segment > 6) {
			  $pdf_offer = '1';
			  $segment = end($uri_segments);

			  $secondKey = count($uri_segments) -2;
			  $thirdKey = count($uri_segments) -3;
			  $forthKey = count($uri_segments) -4;
			  $fifthKey = count($uri_segments) -5;
			  $sixKey = count($uri_segments) -6;
			  $sevenKey = count($uri_segments) -7;
			$eightKey = count($uri_segments) -8;
			$nineKey = count($uri_segments) -9;

			$sub_total = explode('=', $segment)[1];

			  $second_segment = $uri_segments[$secondKey];
			  $coupon_id = explode('=', $second_segment)[1];

			  $third_segment = $uri_segments[$thirdKey];
			  $total_price = explode('=', $third_segment)[1];

			  $forth_segment = $uri_segments[$forthKey];
			  $r_id = explode('=', $forth_segment)[1];
			  $r_id = explode(',', $r_id);

			  $fifth_segment = $uri_segments[$fifthKey];
			  $a_id = explode('=', $fifth_segment)[1];
			  $a_id = explode(',', $a_id);

			  $six_segment = $uri_segments[$sixKey];
			  $up_id = explode('=', $six_segment)[1];
			  $up_id = explode(',', $up_id);

			  $seven_segment = $uri_segments[$sevenKey];
			$color = explode('=', $seven_segment)[1];
			$color = str_replace('-slash-', '/', $color);
			  $color_name = str_replace('-',' ',$color);

			$eight_segment = $uri_segments[$eightKey];
			$m_name = explode('=', $eight_segment)[1];
			  $m_name = str_replace('-',' ',$m_name);


			$nine_segment = $uri_segments[$nineKey] ?? '';
			if(!empty($nine_segment)) {
				$b_id = explode('=', $nine_segment)[1];
			} else {
				$b_id = '';
			}

			if($b_id === 'shortcode_finalize_order' || $b_id === 'finalize') {
			      $b_id = '';
			}

			  $m_id_fk = TRUE;

			?>

			let theFormData = new FormData();
			theFormData.append('finalize_booking', true);
			theFormData.append('action', 'rp_fe_finalize_repairs');
			theFormData.append('m_name', '<?php echo $m_name; ?>');
			theFormData.append('b_id', '<?php echo $b_id; ?>');
			theFormData.append('color_name', '<?php echo $color_name; ?>');
			theFormData.append('total_price', '<?php echo $total_price; ?>');
			theFormData.append('sub_total', '<?php echo $sub_total; ?>');
			theFormData.append('pdf_offer', '<?php echo $pdf_offer; ?>');
			theFormData.append('m_id_fk', '<?php echo $m_id_fk; ?>');
			theFormData.append('coupon_id', '<?php echo $coupon_id; ?>');
			
			try{
				let rid_sess = JSON.parse('<?php echo json_encode($r_id); ?>');

				if(rid_sess && rid_sess.length > 0) {
					rid_sess.forEach(function(val, i){

						theFormData.append('rid[]', val);
					});
				}
			}catch(e) {

			}

			try {
				let aid_sess = JSON.parse('<?php echo json_encode($a_id); ?>');

				if(aid_sess && aid_sess.length > 0) {
					aid_sess.forEach(function(val, i){

						theFormData.append('aid[]', val);
					});
				}
			}catch(e) {

			}

			try {
				let upid_sess = JSON.parse('<?php echo json_encode($up_id); ?>');

				if(upid_sess && upid_sess.length > 0) {
					upid_sess.forEach(function(val, i){

						theFormData.append('upid[]', val);
					});
				}
			}catch(e) {

			}

			<?php
			if(isset($_GET['c_id']) && isset($_GET['uid'])) {
				?>
				window.rp_get_c_id = '<?php echo $_GET['c_id'] ?>';
				window.rp_get_uid = '<?php echo $_GET['uid'] ?>';
				<?php
			} else {
				?>
				window.rp_get_c_id = null;
				window.rp_get_uid = null;
				<?php
			}
			if(isset($_GET['o_id_fk'])) {
				?>
				window.rp_get_o_id_fk = '<?php echo $_GET['o_id_fk'] ?>';
				<?php
			} else {
				?>
				window.rp_get_o_id_fk = null;
				<?php
			}
			if(isset($_GET['reschedule'])) {
				?>
				window.rp_reschedule = '<?php echo ($_GET['reschedule'] ?? '0'); ?>';
				<?php
			} else {
				?>
				window.rp_reschedule = null;
				<?php
			}
			?>

			if(window.rp_get_c_id && window.rp_get_uid) {
				theFormData.append('get_c_id', window.rp_get_c_id);
				theFormData.append('get_uid', window.rp_get_uid);
			}

			if(window.rp_get_o_id_fk) {
				theFormData.append('get_o_id_fk', window.rp_get_o_id_fk);
			}

			if(window.rp_reschedule) {
				theFormData.append('rp_reschedule', window.rp_reschedule);
			}

			window.finalize_repairs_html_template(theFormData);
			<?php
		} else if(isset($_SESSION['finalize_booking_arr'])) {

			$arr = $_SESSION['finalize_booking_arr'];

			?>

			let theFormData = new FormData();
			theFormData.append('finalize_booking', true);
			theFormData.append('action', 'rp_fe_finalize_repairs');
			theFormData.append('m_name', '<?php echo $arr['m_name']; ?>');
			theFormData.append('b_id', '<?php echo $arr['b_id']; ?>');
			theFormData.append('color_name', '<?php echo $arr['color_name']; ?>');
			theFormData.append('total_price', '<?php echo $arr['total_price']; ?>');
			theFormData.append('sub_total', '<?php echo $arr['sub_total']; ?>');
			theFormData.append('pdf_offer', '<?php echo $arr['pdf_offer']; ?>');
			theFormData.append('m_id_fk', '<?php echo $arr['m_id_fk']; ?>');
			theFormData.append('coupon_id', '<?php echo $arr['coupon_id']; ?>');

			try {
				let rid_sess = JSON.parse('<?php echo json_encode($arr['r_id']); ?>');

				if(rid_sess && rid_sess.length > 0) {
					rid_sess.forEach(function(val, i){

						theFormData.append('rid[]', val);
					});
				}
			}catch(e) {

			}

			try {
				let aid_sess = JSON.parse('<?php echo json_encode($arr['a_id']); ?>');

				if(aid_sess && aid_sess.length > 0) {
					aid_sess.forEach(function(val, i){

						theFormData.append('aid[]', val);
					});
				}
			} catch(e) {

			}

			try {
				let upid_sess = JSON.parse('<?php echo json_encode($arr['upid']); ?>');

				if(upid_sess && upid_sess.length > 0) {
					upid_sess.forEach(function(val, i){

						theFormData.append('upid[]', val);
					});
				}
			}catch(e) {

			}

			<?php
			if(isset($arr['get_c_id']) && isset($arr['get_uid'])) {
				?>
				window.rp_get_c_id = '<?php echo $arr['get_c_id'] ?>';
				window.rp_get_uid = '<?php echo $arr['get_uid'] ?>';
				<?php
			} else {
				?>
				window.rp_get_c_id = null;
				window.rp_get_uid = null;
				<?php
			}

			if(isset($arr['get_o_id_fk'])) {
				?>
				window.rp_get_o_id_fk = '<?php echo $arr['get_o_id_fk'] ?>';
				<?php
			} else {
				?>
				window.rp_get_o_id_fk = null;
				<?php
			}

			if(isset($arr['reschedule'])) {
				?>
				window.rp_reschedule = '<?php echo $arr['reschedule'] ?>';
				<?php
			} else {
				?>
				window.rp_reschedule = null;
				<?php
			}
			?>

			if(window.rp_get_c_id && window.rp_get_uid) {
				theFormData.append('get_c_id', window.rp_get_c_id);
				theFormData.append('get_uid', window.rp_get_uid);
			}

			if(window.rp_get_o_id_fk) {
				theFormData.append('get_o_id_fk', window.rp_get_o_id_fk);
			}

			if(window.rp_reschedule) {
				theFormData.append('rp_reschedule', window.rp_reschedule);
			}
			window.finalize_repairs_html_template(theFormData);
			<?php


		} else {
			?>
			window.select_types_html_template();
			<?php
		}


	} else if($selected === 'repairs' || $selected === 'repairs/'.$rename || $selected === 'repairs/'.$add_space || $selected === 'repairs/'.$tring  || $selected === 'repairs/'.$rename2.'/'.$rename || $selected === 'repairs/'.$rename2.'/'.$add_space || $selected === 'repairs/'.$rename2.'/'.$tring  || $selected === 'repairs/'.$add_space2.'/'.$rename || $selected === 'repairs/'.$add_space2.'/'.$add_space || $selected === 'repairs/'.$add_space2.'/'.$tring) {

		if(!isset($_POST['m_name']) || !isset($_POST['b_name'])) {

			$uri_segments = explode('/', $uri_path);
			$secondKey      = count($uri_segments) -2;
			$segment = end($uri_segments);
			$second_segment = $uri_segments[$secondKey] ?? '';
			$m_name = str_replace('-',' ',$segment);
			$m_name = str_replace('%20',' ',$m_name);
			$m_name = str_replace('_','-',$m_name);
			$m_name = str_replace('plus','+',$m_name);

			$b_name = str_replace('-',' ',$second_segment);
			$b_name = str_replace('%20',' ',$b_name);
			$b_name = str_replace('_','-',$b_name);
			$b_name = str_replace('plus','+',$b_name);
			if(!isset($_POST)) {
				$_POST = array();
			}
			$_POST['m_name'] = $m_name;
			$_POST['b_name'] = $b_name;

		} else {

			$m_name = $_POST['m_name'];
			$b_name = $_POST['b_name'];
			
		}

		?>
		window.first_time_rp_repairs = <?php echo _rp_fe_get_repairs(); ?>;
		window.select_repairs_html_template('<?php echo wp_slash(rp_sanitize_output($m_name)); ?>', '<?php echo wp_slash(rp_sanitize_output($b_name)); ?>');
		<?php
		unset($_POST['m_name']);
		unset($_POST['b_name']);

	} else if($selected === 'models' || $selected === 'models/'.$rename2.'/'.$rename || $selected === 'models/'.$add_space2.'/'.$add_space) {

		if(!isset($_POST['c_name']) || !isset($_POST['b_name'])) {

			$uri_segments = explode('/', $uri_path);
			$second_last_segment = count($uri_segments) -2;
			$segment = $uri_segments[$second_last_segment];
			$segment2 = end($uri_segments);
			$c_name = str_replace('-',' ',$segment);
			$c_name = str_replace('%20',' ',$c_name);
			$b_name = str_replace('-',' ',$segment2);
			$b_name = str_replace('%20',' ',$b_name);
			if(!isset($_POST)) {
				$_POST = array();
			}
			$_POST['c_name'] = $c_name;
			$_POST['b_name'] = $b_name;

		} else {

			$c_name = $_POST['c_name'];
			$b_name = $_POST['b_name'];

		}

		?>
		window.first_time_rp_models = <?php echo _rp_fe_get_models(); ?>;
		window.select_models_html_template('<?php echo wp_slash(rp_sanitize_output($c_name)); ?>', '<?php echo wp_slash(rp_sanitize_output($b_name)); ?>');
		<?php
		unset($_POST['c_name']);
		unset($_POST['b_name']);

	} else if($selected === 'brands' || $selected === 'brands/'.$rename || $selected === 'brands/'.$add_space) {

		if(!isset($_POST['c_name'])) {

			$uri_segments = explode('/', $uri_path);
			$abc = end($uri_segments);
			$c_name = str_replace('-',' ',$abc);
			$c_name = str_replace('%20',' ',$c_name);
			if(!isset($_POST)) {
				$_POST = array();
			}
			$_POST['c_name'] = $c_name;

		} else {

			$c_name = $_POST['c_name'];

		}

	    ?>
	    window.first_time_rp_brands = <?php echo _rp_fe_get_brands(); ?>;
	    window.select_brands_html_template('<?php echo wp_slash(rp_sanitize_output($c_name)); ?>');
	    <?php
	    unset($_POST['c_name']);
	} else {

		?>
		window.first_time_rp_categories = <?php echo _rp_fe_get_categories(); ?>;
		if('select_types_html_template' in window) {
			window.select_types_html_template();
		} else {
			window.addEventListener("load", function(){
			    if('select_types_html_template' in window) {
					window.select_types_html_template();
			    } else {
					window.setTimeout(function(){
						window.select_types_html_template();
					},300);
			    }
			});
		}
		<?php

	}
	?>
</script>
