<?php
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;
if(!function_exists('getTheImageURL')) {
	function getTheImageURL($str = '') {
		return WP_REPAIR_PLUGIN_URL.'assets/images/'.$str;
	}
}

global $wp_repair_lang;

?>
<div class="wp-repair-select-container clearfix">
	<div class="wp-repair-col-12">
		<div class="wp-repair-width-100">
			<div class="align-center">
				<?php
				if(isset($order) && !empty($order)) {
					?>
					<h1 class="thanks-heading"><?php echo $wp_repair_lang['booking_cancelled']; ?></h1>
					<p class="thanks-heading-info"><?php echo $wp_repair_lang['your_appointment_has_been_cancelled']; ?></p>
					<?php
				} else {
					?>
					<h1 class="thanks-heading"><?php echo 'Error'; ?></h1>
					<p class="thanks-heading-info"><?php echo 'Sorry, couldn\'t verify your cancellation.'; ?></p>
					<?php
				}
				if(isset($order) && !empty($order)) {
					?>
					<table class="table">
						<tbody>
							<tr>
								<td class="appointment-date">
									<p class="come-store"><?php
									$org_delivery_method = $order[0]->delivery_method;
									$delivery_method = strtolower(trim(str_replace(' ', '_', $order[0]->delivery_method)));
									if(isset($wp_repair_lang[$delivery_method])) {
										echo $wp_repair_lang[$delivery_method];
									} else {
										echo $org_delivery_method;
									}
									?></p>
									<p class="actual-date"><?php echo $order[0]->o_date_time; ?></p>
								</td>
								<td class="shop-address">
									<p class="name"><?php echo $order[0]->location_name; ?></p>
									<p class="street"><?php echo $order[0]->location_address; ?></p>
								</td>
							</tr>
						</tbody>
					</table>
					<?php
				}
				?>
			</div>
		</div>
	</div>
</div>
<br>
