<?php
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;

?><input type="hidden" name="rp_selected_dm" value="<?php echo $selected_dm; ?>">
<table class="table table-model-name <?php echo ($opened == '1') ? 'opened' : ''; ?>">
<tbody>
    <tr>
        <td style="width: 50%" colspan="1" class="model-name">
            <?php echo $models[0]->b_name. ' '.$models[0]->m_name.' '.$color_name?>
            <div style="width: 1px;display: block; height: 55px;"></div>
        </td>
        <td style="width: 50%" colspan="1" class="come-by-store-td">
            <span class="come-store-text"></span>
            <span class="appointment-time"></span>
        </td>
    </tr>
</tbody>
</table>
<div class="wp-repair-more-details" <?php echo ($opened == '1') ? 'style="max-height:100%;"' : ''; ?>>
<table class="table">
    <tbody>
        <?php 
        if($_r_id){
            foreach($_r_id as $rid){
            $rp = $rpQuery->get_results("SELECT * FROM $repair_table WHERE r_id = '".rp_escape_sql($rid)."' AND is_active = '1'");
            $rp[0] = apply_filters('rp_filter_before_adding_repair_to_cart', $rp[0]);
            $r_id = $rp[0]->r_id;
            $r_price = $rp[0]->r_price;
            if( isset( $o_id_fk ) && !empty( $o_id_fk ) ) {

                $r_locked_price = rp_get_locked_repair_price( $o_id_fk, $r_id );

                if( $r_locked_price !== NULL ) {

                    $r_price = $r_locked_price;

                    $rp[0]->r_price = $r_locked_price;

                }

            }
            list($is_discounted_price, $discounted_price) = $rpCart->showable_repair_price( $r_id, 'repair' );
            $r_price = $discounted_price;
            $rp[0]->r_price = $discounted_price;
            $r_is_free = $rp[0]->is_free;
            $any_discounted_price = array( $is_discounted_price );
            ?>
            <tr class="added-item">
                <td>
                    <input type="hidden" name="r_id[]" value="<?php echo $rp[0]->r_id;?>">
                    <?php
                    if(isset($a_id) && !empty($a_id)){ foreach($a_id as $a){ 
                        $_ra = $rpQuery->get_results("SELECT * FROM $rs_repair_attr WHERE r_id_fk = '".rp_escape_sql($r_id)."' AND is_active = '1'");
                        foreach($_ra as $ra){?>
                        <?php if(($r_id == $ra->r_id_fk) && ($a == $ra->a_id)){

                            $attr_row = apply_filters('rp_filter_before_adding_repair_attr_to_cart', $ra, $rp[0]);

                            if( isset( $o_id_fk ) && !empty( $o_id_fk ) ) {

                                $ra_locked_price = rp_get_locked_repair_attr_price( $o_id_fk, $r_id, $a );

                                if( $ra_locked_price !== NULL ) {

                                    $ra->a_price = $ra_locked_price;

                                }

                            }

                            list($is_discounted_price, $discounted_price) = $rpCart->showable_repair_price( $ra->a_id, 'attr' );
                            $ra->a_price = $discounted_price;
                            $any_discounted_price[] = $is_discounted_price;
                        } 
                    } } }
                    ?>
                    <span class="only-repair-name <?php if( in_array( 1, $any_discounted_price ) ) { echo 'has-discounted'; } ?>"><?php echo trim(rp_sanitize_output(rp_get_static_translations_of_repair('repair_name', $rp[0]->r_uq_id, $rp[0]->m_id_fk, 'selected')));?></span><?php 
                    // check if $any_discounted_pirce has 1
                    if( in_array( 1, $any_discounted_price ) ) {
                        if( $planning_discount[0]->is_combo_discount_percentage == '1' ) {
                            echo '<span class="percent-off-badge">'.$planning_discount[0]->amount.'% '.$wp_repair_lang['combo_discount_percent_off'].'</span>';
                        } else {
                            echo '<span class="percent-off-badge">'.rp_handle_currency_position($planning_discount[0]->amount, '<span class="percent-off-currency">'.$localization[0]->set_currency.'</span>', FALSE).' '.$wp_repair_lang['combo_discount_percent_off'].'</span>';
                        }
                    }
                    ?><span class="more-info light">
                    <?php 
                    $attr_printed = FALSE;
                    if(isset($a_id) && !empty($a_id)){ foreach($a_id as $a){ 
                        $_ra = $rpQuery->get_results("SELECT * FROM $rs_repair_attr WHERE r_id_fk = '".rp_escape_sql($r_id)."' AND is_active = '1'");
                        foreach($_ra as $ra){?>
                        <?php if(($r_id == $ra->r_id_fk) && ($a == $ra->a_id)){

                            $attr_row = apply_filters('rp_filter_before_adding_repair_attr_to_cart', $ra, $rp[0]);

                            if( isset( $o_id_fk ) && !empty( $o_id_fk ) ) {

                                $ra_locked_price = rp_get_locked_repair_attr_price( $o_id_fk, $r_id, $a );

                                if( $ra_locked_price !== NULL ) {

                                    $ra->a_price = $ra_locked_price;

                                }

                            }

                            list($is_discounted_price, $discounted_price) = $rpCart->showable_repair_price( $ra->a_id, 'attr' );
                            $ra->a_price = $discounted_price;
                            $any_discounted_price[] = $is_discounted_price;

                            $attr_printed = TRUE;
                            ?>
                            <input type="hidden" name="combo_items_count[]" value="<?php echo $ra->a_price;?>">
                            <input type="hidden" name="a_id[]" value="<?php echo $ra->a_id;?>">
                            <?php
                            echo rp_sanitize_output(rp_get_static_translations_of_attr('attr_name', $ra->a_uq_id, $ra->r_id_fk, 'selected'));
                        } 
                    } } }
                    if( $attr_printed === FALSE ) {
                        ?>
                        <input type="hidden" name="combo_items_count[]" value="<?php echo $rp[0]->r_price;?>">
                        <?php
                    }
                    ?></span>
                </td>
                <td class="item-price"><div class="box">
                    <?php 
                    $price_printed = FALSE;
                    $itMatchedAnyAttribute = FALSE;
                    if(isset($a_id) && !empty($a_id)){ 
                        foreach($a_id as $a){ 
                            $_ra = $rpQuery->get_results("SELECT * FROM $rs_repair_attr WHERE r_id_fk = '".rp_escape_sql($r_id)."' AND is_active = '1'");
                            if($_ra != null){
                                foreach($_ra as $ra){
                                    if(($r_id == $ra->r_id_fk) && ($a == $ra->a_id)){
                                        $itMatchedAnyAttribute = TRUE;
                                        $price_printed = TRUE;
                                        $attr_row = apply_filters('rp_filter_before_adding_repair_attr_to_cart', $ra, $rp[0]);
                                        if( isset( $o_id_fk ) && !empty( $o_id_fk ) ) {

                                            $ra_locked_price = rp_get_locked_repair_attr_price( $o_id_fk, $r_id, $a );

                                            if( $ra_locked_price !== NULL ) {

                                                $ra->a_price = $ra_locked_price;

                                            }

                                        }
                                        list($is_discounted_price, $discounted_price) = $rpCart->showable_repair_price( $ra->a_id, 'attr' );
                                        $ra->a_price = $discounted_price;
                                        $a_price = $ra->a_price;
                                        if( $r_is_free != '1' && ($a_price == 0 || $a_price == 0.00) ) {
                                                echo '<span class="rp-finalize-por">'.$wp_repair_lang['price_on_request_text'].'</span>';
                                        } else {
                                            $int = ctype_digit($a_price);
                                            if($int == 1){
                                                echo $a_price;
                                            }else{
                                                if($decimal == 'comma'){
                                                    $a_price = number_format((float)$a_price, 2, '.', '');
                                                    $a_price = str_replace('.',',',$ra->a_price);
                                                }else{
                                                    $a_price = number_format((float)$ra->a_price, 2, '.', '');
                                                }	
                                                echo $a_price;		
                                            }	
                                        }
                                    }
                                }
                            }
                        }
                    }
                    if($price_printed === FALSE && $itMatchedAnyAttribute === FALSE) {
                        $itMatchedAnyAttribute = TRUE;
                        $price_printed = TRUE;
                        $int = ctype_digit($r_price);
                        if( $r_is_free != '1' && ($r_price == 0 || $r_price == 0.00) ) {
                            echo '<span class="rp-finalize-por">'.$wp_repair_lang['price_on_request_text'].'</span>';
                        } else {
                            if($int == 1){									
                                echo $r_price;
                            }else{
                                if($decimal == 'comma'){
                                    $r_price = number_format((float)$r_price, 2, '.', '');
                                    $r_price = str_replace('.',',',$r_price);
                                    echo $r_price;
                                }else{
                                    $r_price = number_format((float)$r_price, 2, '.', '');
                                    echo $r_price;
                                }			
                            }
                        }
                    }
                    ?></div> 
                </td>
            </tr>
        <?php } }
        if(isset($up_id) && !empty($up_id)){
            foreach($up_id as $upid){
            $up = $rpQuery->get_results("SELECT * FROM $rs_upsales WHERE upsales_id = '".rp_escape_sql($upid)."'");
            //var_dump($r_id);
            if(($up != null) && ($up != '')){

                if( isset( $o_id_fk ) && !empty( $o_id_fk ) ) {

                    $u_locked_price = rp_get_locked_upsale_price( $o_id_fk, $upid );

                    if( $u_locked_price !== NULL ) {

                        $up[0]->us_new_price = $u_locked_price;

                    }

                }

                ?>
            <tr class="added-item">
                <td><?php 
                echo rp_sanitize_output(rp_get_static_translations_of_upsale_selected('us_name', $up[0]->upsales_id, 'selected'));
                ?></td>
                <td class="item-price"><div class="box">
                    <?php 
                    $int = ctype_digit($up[0]->us_new_price);
                    if($int == 1){
                        echo $up[0]->us_new_price;
                    }else{
                        if($decimal == 'comma'){

                            $up_price = number_format((float)$up[0]->us_new_price, 2, '.', '');
                            $up_price = str_replace('.',',',$up_price);

                        }else{
                            $up_price = number_format((float)$up[0]->us_new_price, 2, '.', '');
                        }
                        echo $up_price;
                    }?> 
                </div></td>
            </tr>
            <input type="hidden" name="up_id[]" value="<?php echo $up[0]->upsales_id;?>">
        <?php } } }?>
        <?php
        if( isset( $dm_cost ) && $dm_cost != 0 && $dm_cost != 0.00 ) {

            ?>
            <tr class="added-item">
                <td class="dm-name"><?php echo $wp_repair_lang[$dm_key]; ?></td>
                <td class="item-price">
                    <div class="box">
                    <?php 
                    $dm_price = $dm_cost;
                    $int = ctype_digit($dm_price);
                    if($int == 1){
                        echo $dm_price;
                    }else{
                        if($decimal == 'comma'){
                            $t_price = number_format((float)$dm_price, 2, '.', '');
                            $t_price = str_replace('.',',',$dm_price);
                        }else{
                            $t_price = number_format((float)$dm_price, 2, '.', '');
                        }
                        echo $t_price; 
                    }?> 
                    </div>
                </td>
            </tr>
            <?php

        }
        ?>
        <tr>
            <td colspan="2"><div class="spacer"></div></td>
        </tr>
        <tr>
            <td class="subtotal"><?php echo $wp_repair_lang['sub_total']; ?></td>
            <td class="subtotal-price">
                <?php 
                $int = ctype_digit($sub_total);
                if($int == 1){
                    echo $sub_total;
                }else{
                    if($decimal == 'comma'){
                        $t_price = number_format((float)$sub_total, 2, '.', '');
                        $t_price = str_replace('.',',',$sub_total);
                    }else{
                        $t_price = number_format((float)$sub_total, 2, '.', '');
                    }
                    echo $t_price; 
                }?> 
            </td>
        </tr>
        <tr class="<?php if( $planning_discount[0]->is_combo_discount != '1' && $planning_discount[0]->is_combo_discount_percentage != '1' ) { echo 'combo_discount_disabled'; } ?>">
            <td class="cc-text"><?php echo $wp_repair_lang['combo_dicount']; ?></td>
            <td class="cc-price combo"><?php 
            if( $combo <= 0 ) { 
                echo '-'; 
            } else { 
                echo "-";
                $int = ctype_digit($combo);
                if($int == 1){
                    echo $combo;
                }else{
                    if($decimal == 'comma'){
                        $combo = number_format((float)$combo, 2, '.', '');
                        $combo = str_replace('.',',',$combo);
                        echo $combo;
                    }else{
                        $combo = number_format((float)$combo, 2, '.', '');
                        echo $combo;
                    } 
                } 
            } 
            ?></td>
        </tr>
        <tr>
            <td class="cc-text"><?php if(($coupon !=null) && ($coupon != 0)){ echo $wp_repair_lang['coupon'];}
            if(isset($coupon_type) && $coupon_type == 'percent'){
                echo " (".$coupon_info->coupons_amount."%)";
            }
            ?></td>
            <td class="cc-price">
                <?php 
                if(($coupon !=null) && ($coupon != 0)){ 
                    echo "-";
                    $int = ctype_digit($coupon);
                    if($int == 1){
                        echo $coupon;
                    }else{
                        if($decimal == 'comma'){
                            $coupon = number_format((float)$coupon, 2, '.', '');
                            $coupon = str_replace('.',',',$coupon);
                            echo $coupon;
                        }else{
                            $coupon = number_format((float)$coupon, 2, '.', '');
                            echo $coupon;
                        } 
                    } 
                } ?> 
            </td>
        </tr>
        <tr>
            <td colspan="2"><div class="spacer"></div></td>
        </tr>
        <?php 
            $etp = 1 + (($tax * 1) / 100);
            $ex_tax_price = $total_price/$etp;
            $ex_tax_price = number_format((float)$ex_tax_price, 2, '.', '');?>
        <input type="hidden" name="sub_total" value="<?php echo $ex_tax_price;?>">
        <input type="hidden" name="total_price" value="<?php echo $total_price;?>">
        <tr>
            <?php
            $localization[0]->tax_indicator = $wp_repair_lang['tax'];
            ?>
            <td class="subtotal"><?php echo $wp_repair_lang['total'].' '.$wp_repair_lang['excluding'].' '.$localization[0]->tax_indicator; ?></td>
            <td class="subtotal-price">
                <?php
                $int = ctype_digit($ex_tax_price);
                if($int == 1){
                    echo $ex_tax_price;
                }else{
                    if($decimal == 'comma'){
                        $ex_tprice = number_format((float)$ex_tax_price, 2, '.', '');
                        $ex_tprice = str_replace('.',',',$ex_tax_price);
                    }else{
                        $ex_tprice = number_format((float)$ex_tax_price, 2, '.', '');
                    }
                    echo $ex_tprice; 
                }?>	
            </td>
        </tr><tr>
            <td class="subtotal"><?php 
                $int = ctype_digit($tax);
                if($int == 1){
                    echo $localization[0]->tax_indicator.' ('.$tax.')%';
                }else{
                    if($decimal == 'comma'){
                        $t_tax = number_format((float)$tax, 2, '.', '');
                        $t_tax = str_replace('.',',',$tax);
                    }else{
                        $t_tax = number_format((float)$tax, 2, '.', '');
                    }
                    echo $localization[0]->tax_indicator.' ('.$t_tax.')%';
                }?>
            </td>
            <td class="subtotal-price"><?php $total_tax = $total_price - $ex_tax_price; 
                $int = ctype_digit($total_tax);
                if($int == 1){
                    echo $total_tax;
                }else{
                    if($decimal == 'comma'){
                        $total_tax = number_format((float)$total_tax, 2, '.', '');
                        $total_tax = str_replace('.',',',$total_tax);
                    }else{
                        $total_tax = number_format((float)$total_tax, 2, '.', '');
                    }
                    echo $total_tax;
                }?></td>
        </tr>
    </tbody>
</table>
</div>
<table class="table total-table <?php echo ($opened == '0') ? 'closed' : ''; ?>">
<tbody>
    <tr class="total-with-vat">
        <td>
            <?php
            $int = ctype_digit($tax);
            if($int == 1){
                $the_tax_percent = $tax;
            }else{
                if($decimal == 'comma'){
                    $the_tax_percent = number_format((float)$tax, 2, '.', '');
                    $the_tax_percent = str_replace('.',',',$tax);
                }else{
                    $the_tax_percent = number_format((float)$tax, 2, '.', '');
                }
            }
            ?>
            <span class="cart-total"><?php echo $wp_repair_lang['total']; ?></span>
            <span class="vat"><?php echo $wp_repair_lang['incl']; ?>. <?php echo $the_tax_percent.'%'; ?> <?php echo $localization[0]->tax_indicator?></span>
        </td>
        <td>
            <span class="total-actual-price">
                <?php 
                $int = ctype_digit($total_price);
                if($int == 1){
                    echo rp_handle_currency_position($total_price, $localization[0]->set_currency, TRUE);
                }else{
                    if($decimal == 'comma'){
                        $total_price = number_format((float)$total_price, 2, '.', '');
                        $total_price = str_replace('.',',',$total_price);
                        echo rp_handle_currency_position($total_price, $localization[0]->set_currency, TRUE);
                    }else{
                        $total_price = number_format((float)$total_price, 2, '.', '');
                        echo rp_handle_currency_position($total_price, $localization[0]->set_currency, TRUE);
                    }
                }
                ?> 
            </span>
        </td>
    </tr>
    <tr>
        <td colspan="2" class="come-by-store-td-2-spacer">
            <div class="spacer special"></div>
        </td>
    </tr>
    <tr>
        <td colspan="2" class="come-by-store-td-2">
            <span class="come-store-text"></span>
            <span class="appointment-time"></span>
        </td>
    </tr>
</tbody>
</table>
<div class="rp-loading-container">
    <div class="rp-loader-box">
        <i class="fas fa-spinner fa-spin"></i>
    </div>
</div>