<?php
if(rp_get_option('rp_automatically_fix_mobile_styling', '1') !== '1'){
	?>
	<style type="text/css">
		@media(max-width: 540px) {
			.rp-mobile-side-padding {
				padding: <?php echo rp_get_option('rp_mobile_side_padding', '0'); ?>px !important;
			}
		}
	</style>
	<?php
}
?>
<script type="text/javascript">
	(function(window, document, jQuery, undefined){
		function addCustomClassToAllParentContainers() {
			var element = jQuery(".wp-repair-fe-types-conatiner").parent();
			if(element[0] !== jQuery("body")[0]) {
				jQuery(element).addClass("repair-cont-dopad-domargin");
				jQuery(element).find(".wp-repair-fe-types-conatiner").addClass("do-content-box");
			} else {
				jQuery(element).find(".wp-repair-fe-types-conatiner").addClass("repair-cont-dopad-domargin");
				jQuery(element).addClass("repair-cont-nopad-nomargin");
			}
			while(true) {
				if(element[0] !== jQuery("body")[0]) {
					element = jQuery(element).parent();
					jQuery(element).addClass("repair-cont-nopad-nomargin");
				} else {
					return;
				}
			}
		}
		<?php
		if(rp_get_option('rp_automatically_fix_mobile_styling', '1') === '1'){
			?>
			addCustomClassToAllParentContainers();
			<?php
		}
		?>
		function toggleMQClass(el, cls) {
			var arr = [
				'repair-mq-12',
				'repair-mq-11',
				'repair-mq-10',
				'repair-mq-9',
				'repair-mq-8',
				'repair-mq-7',
				'repair-mq-6',
				'repair-mq-5',
				'repair-mq-4',
				'repair-mq-3-6',
				'repair-mq-3',
				'repair-mq-2-8',
				'repair-mq-2',
				'repair-mq-1'
			];
			arr.forEach(function(i, val) {
				jQuery(el).removeClass(i);
			});
			var cntinue = true;
			arr.forEach(function(i, val) {
				if(i === cls) {
					cntinue = false;
				}
				if(cntinue === true) {
					jQuery(el).addClass(i);
				}
			});
		}
		function toggleMediaQuries() {
			var el = jQuery(".wp-repair-fe-types-conatiner");
			var mediaWidth = el.outerWidth();
			if(mediaWidth) {
				if(mediaWidth > 1200) {
					toggleMQClass(el,'repair-mq-12');
				} else if(mediaWidth > 1100) {
					toggleMQClass(el,'repair-mq-11');
				} else if(mediaWidth > 1020) {
					toggleMQClass(el,'repair-mq-10');
				} else if(mediaWidth > 960) {
					toggleMQClass(el,'repair-mq-9');
				} else if(mediaWidth > 840) {
					toggleMQClass(el,'repair-mq-8');
				} else if(mediaWidth > 680) {
					toggleMQClass(el,'repair-mq-7');
				} else if(mediaWidth > 600) {
					toggleMQClass(el,'repair-mq-6');
				} else if(mediaWidth > 540) {
					toggleMQClass(el,'repair-mq-5');
				} else if(mediaWidth > 420) {
					toggleMQClass(el,'repair-mq-4');
				} else if(mediaWidth >= 360) {
					toggleMQClass(el,'repair-mq-3-6');
				} else if(mediaWidth >= 300) {
					toggleMQClass(el,'repair-mq-3');
				} else if(mediaWidth >= 280) {
					toggleMQClass(el,'repair-mq-2-8');
				} else if(mediaWidth >= 250) {
					toggleMQClass(el,'repair-mq-2');
				} else {
					toggleMQClass(el,'repair-mq-1');
				}
			}
		}
		function toggleMQClassGETAll(el, cls) {
			var arr = [
				'repair-mq-12',
				'repair-mq-11',
				'repair-mq-10',
				'repair-mq-9',
				'repair-mq-8',
				'repair-mq-7',
				'repair-mq-6',
				'repair-mq-5',
				'repair-mq-4',
				'repair-mq-3-6',
				'repair-mq-3',
				'repair-mq-2-8',
				'repair-mq-2',
				'repair-mq-1'
			];
			let classes = '';
			var cntinue = true;
			arr.forEach(function(i, val) {
				if(i === cls) {
					cntinue = false;
				}
				if(cntinue === true) {
					classes = classes +' '+ i;
				}
			});
			return classes.trim();
		}
		jQuery.fn.extend({
			removeMQClasses: function() {
				let that = this;
				this.each(function(){
					let classList = this.className.split(/\s+/);
					for (var i = 0; i < classList.length; i++) {
					    if (classList[i].trim() === 'wp-repair-fe-types-conatiner' || classList[i].trim().indexOf('repair-mq') !== -1 || classList[i].trim() === 'do-content-box') {

					    } else {
					    	that.removeClass(classList[i]);
					    }
					}
				});
				return this;
			},
			repairScrollTo: function(time = 500) {
				if('enableRepairScrollTo' in window) {
					let that = this;
					let topOffsetMinus = 80;
					if(('is_model_shortcode' in window)) {
						topOffsetMinus = 80;
					}
					this.each(function(){
						jQuery([document.documentElement, document.body]).animate({
					        scrollTop: (that.offset().top - topOffsetMinus)
					    }, time);
					});
				}
				return this;
			}
		});
		window.getAllCustomMediaQueriesClasses = function() {
			var el = jQuery(".wp-repair-fe-types-conatiner");
			var mediaWidth = el.outerWidth();
			if(mediaWidth) {
				if(mediaWidth > 1200) {
					return toggleMQClassGETAll(el,'repair-mq-12');
				} else if(mediaWidth > 1100) {
					return toggleMQClassGETAll(el,'repair-mq-11');
				} else if(mediaWidth > 1020) {
					return toggleMQClassGETAll(el,'repair-mq-10');
				} else if(mediaWidth > 960) {
					return toggleMQClassGETAll(el,'repair-mq-9');
				} else if(mediaWidth > 840) {
					return toggleMQClassGETAll(el,'repair-mq-8');
				} else if(mediaWidth > 680) {
					return toggleMQClassGETAll(el,'repair-mq-7');
				} else if(mediaWidth > 600) {
					return toggleMQClassGETAll(el,'repair-mq-6');
				} else if(mediaWidth > 540) {
					return toggleMQClassGETAll(el,'repair-mq-5');
				} else if(mediaWidth > 420) {
					return toggleMQClassGETAll(el,'repair-mq-4');
				} else if(mediaWidth >= 360) {
					return toggleMQClassGETAll(el,'repair-mq-3-6');
				} else if(mediaWidth >= 300) {
					return toggleMQClassGETAll(el,'repair-mq-3');
				} else if(mediaWidth >= 280) {
					return toggleMQClassGETAll(el,'repair-mq-2-8');
				} else if(mediaWidth >= 250) {
					return toggleMQClassGETAll(el,'repair-mq-2');
				} else {
					return toggleMQClassGETAll(el,'repair-mq-1');
				}
			}
			return '';
		}
		jQuery(window).on("resize", function(){
			toggleMediaQuries();
		});
		jQuery(window).on("load", function(){
			toggleMediaQuries();
		});
		toggleMediaQuries();
		jQuery(document).on("wpRepairReady", function(){
			toggleMediaQuries();
		});
		jQuery(document).on("toggleMediaQuries", function(){
			toggleMediaQuries();
		});
		function is_touch_device() {
			var condition1 = ('ontouchstart' in window && window.ontouchstart) || navigator.maxTouchPoints > 0 || navigator.msMaxTouchPoints > 0;
			var deviceAgent = navigator.userAgent.toLowerCase();
			var condition2 = window.matchMedia('(max-width: 768px)').matches && (deviceAgent.match(/(iphone|ipod|ipad)/) ||
					deviceAgent.match(/(android)/)  || 
					deviceAgent.match(/(iemobile)/) || 
					deviceAgent.match(/iphone/i) || 
					deviceAgent.match(/ipad/i) || 
					deviceAgent.match(/ipod/i) || 
					deviceAgent.match(/blackberry/i) || 
					deviceAgent.match(/bada/i));
			if(condition1) {
				return true;
			}
			if(condition2) {
				return true;
			}
			return false;
		}
		window.fixHoverClassTimeout = false;
		function fixHoverClass() {
			if(window.fixHoverClassTimeout !== false) {
				window.clearTimeout(window.fixHoverClassTimeout);
			}
			window.fixHoverClassTimeout = window.setTimeout(function(){
				if(is_touch_device()) {
					jQuery("body").removeClass("hasMouseOver");
				} else {
					jQuery("body").addClass("hasMouseOver");
				}
			}, 32);
		}
		fixHoverClass();
		jQuery(document).on("mouseover resize scroll", fixHoverClass);
	}(window,document,jQuery));
</script>
