<?php
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;

$allow_location_selection = rp_is_enabled_ship_device_location();

if($planning_discount[0]->ship_device == '1'){?>
<span class="wp-repair-repair-card <?php if(rp_which_delivery_method_enable_by_default($planning_discount) == 'ship_device') { echo 'active'; } ?> ship-device-option" id="Ship device" onclick="delivery_method(this.id);">
    <div class="repair-img">
        <img src="<?php echo getTheImageURL('shipdevice.svg'); ?>">
    </div>
    <div class="text-all">
        <p class="repair-name"><?php echo $wp_repair_lang['ship_device']; ?> <?php echo rp_delivery_method_cost_badge('ship_device', $decimal, $localization, $reschedule_order_id); ?></p>
        <p class="repair-mins"><?php echo $wp_repair_lang['Repair_within_24_hours']; ?></p>
    </div>
    <div class="wp-repair-action-price" id="Ship device" onclick="delivery_method(this.id);">
        <?php echo rp_svg_icons_loader('fa-check', 's-14'); ?>
        <div class="wp-repair-select-checkbox"></div>
    </div>
    <div class="more-info-ship-device" <?php if(rp_which_delivery_method_enable_by_default($planning_discount) == 'ship_device') { echo 'style="max-height:100% !important;"'; } ?>>
        <?php
        if( $allow_location_selection === true ) {
            ?>
            <div class="rp_el_location_markup">
                <?php
                rp_el_location_markup();
                ?>
            </div>
            <?php
        }
        ?>
        <?php
        $shipDeviceAddress = '
        <table class="table ship-device">
            <tbody>
                <tr>
                    <td>'.$ship_device_location[0]->location_name.'</td>
                    <td>
                        <span>'.$ship_device_location[0]->location_address.'<br>'.$ship_device_location[0]->location_city_district.'</span>
                    </td>
                </tr>
            </tbody>
        </table>
        ';
        ?>
        <div class="more-info-container">
            <?php echo str_replace(array('<p>$ShipDeviceAddress$</p>', '$ShipDeviceAddress$'), $shipDeviceAddress, $wp_repair_lang['ship_device_instructions']); ?>
        </div>
    </div>
</span>
<?php }?>