<?php

defined('ABSPATH') || exit('Sorry, no direct script access allowed.');

$rs_model = $rpQuery->prefix . "rs_model";

$rs_upsales = $rpQuery->prefix . "rs_upsales";

$rs_upsales_models = $rpQuery->prefix . "rs_upsales_models";

$get_upsales_models = $rpQuery->get_results("SELECT * FROM $rs_upsales_models WHERE upsales_id_fk = '".rp_escape_sql($upsales_id)."'");

$up_sales = $rpQuery->get_row("SELECT * FROM $rs_upsales WHERE `upsales_id` = '".rp_escape_sql($upsales_id)."' ORDER BY upsales_position ASC");

?><td colspan="7">
<div class="details-container">
    <div class="wp-repair-col-4">
        <div class="multicheckboxes">
            <ul>
                <?php 
                $categories = rp_get_all_models_for_upsales_page();
                foreach($categories as $category_row) {
                    $category_row->c_name = rp_sanitize_output($category_row->c_name);
                    ?>
                    <li>
                    <button type="button" class="btn-dropdown"><span class="chevron up"><i class="fas fa-chevron-down"></i></span></button>
                    <label class="checkbox-container">
                          <input type="checkbox" <?php echo $category_row->c_name; ?> name="c_id" value="<?php echo $category_row->c_name; ?>">
                          <span class="checkmark"></span>
                          <span class="text"><?php echo $category_row->c_name; ?></span>
                    </label>
                    <ul class="opened">
                    <?php
                    foreach($category_row->_brands as $brand_row) {
                        $brand_row->b_name = rp_sanitize_output($brand_row->b_name);
                        ?>
                        <li>
                        <button type="button" class="btn-dropdown"><span class="chevron down"><i class="fas fa-chevron-down"></i></span></button>
                        <label class="checkbox-container">
                                <input type="checkbox" <?php echo $brand_row->b_name; ?> name="b_id" value="<?php echo $brand_row->b_name; ?>">
                                <span class="checkmark"></span>
                                <span class="text"><?php echo $brand_row->b_name; ?></span>
                        </label>
                        <ul class="closed" style="max-height: 0px;">
                        <?php
                        foreach($brand_row->_models as $model_row) {
                            $model_row->m_name = rp_sanitize_output($model_row->m_name);
                            ?>
                            <li>
                                <label class="checkbox-container">
                                        <input type="checkbox" name="m_id_fk[]" value="<?php echo $model_row->m_id; ?>" <?php foreach($get_upsales_models as $up){if($model_row->m_id == $up->m_id_fk){echo "checked"; }}?>>
                                        <span class="checkmark"></span>
                                        <span class="text"><?php echo $model_row->m_name; ?></span>
                                </label>
                            </li>
                            <?php
                        }
                        ?>
                        </ul>
                        </li>
                        <?php
                    }
                    ?>
                    </ul>
                    </li>
                    <?php
                }
                ?>
            </ul>
        </div>
    </div>
    <div class="wp-repair-col-8">
        <div class="scroll-table">
            <table class="table upsale">
                <tbody>
                    <?php 
                    $model_sales = $rpQuery->get_results("SELECT upm.*,m.m_name,m.m_id FROM $rs_upsales_models AS upm 
                    Join $rs_model AS m ON upm.m_id_fk = m.m_id
                    Join $rs_upsales AS up ON upm.upsales_id_fk = up.upsales_id WHERE upsales_id_fk = '".rp_escape_sql($upsales_id)."'");
                    if($model_sales){
                    $model_sales = rp_sanitize_output($model_sales);	
                    foreach($model_sales as $ms){
                    ?>
                    <tr class="upsales_table_tr">
                        <td class="model">Model</td>
                        <td class="model-name"><?php echo $ms->m_name?></td>
                        <td>
                            <button type="button" data-up_model_id="<?php echo $ms->up_model_id?>" data-model-id="<?php echo $ms->m_id; ?>" class="wp-repair-cancel-link delete_model_upsales"><i class="fas fa-times"></i></button>
                        </td>
                    </tr>
                    <?php } }?>
                </tbody>
            </table>
        </div>
    </div>
    <div class="upsale-group-2">
        <p class="recommended-image-ratio">Recommended Image Size: 500x375 (4:3)</p>
        <img style="width: 165px; height: auto;" src="<?php echo $up_sales->upsales_img; ?>" alt="">
        <div class="btn-group-upsale">
            <button type="button" class="reset-upsale">Reset Upsales</button>
            <button type="submit" class="save-all-settings" name="update_upsales">Save All Settings <i class="fas fa-caret-right"></i></button>
        </div>
    </div>
</div> 
</td>