<?php
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;

function theProgressBarofWPRepairFrontEnd($currentPage = '') {
	function needToAddActiveClass($currentPage = '', $thisPage = '') {
		if($thisPage === 'device') {
			if($currentPage === 'types' || $currentPage === 'brands' || $currentPage === 'models') {
				$x = ' active';
			} else {
				$x = '';
			}
		} else {
			$x = $currentPage === $thisPage ? ' active' : '';
		}
		if(($currentPage === $thisPage) && $currentPage === 'types') {
			$x .= ' one';
		}
		if($thisPage === 'device') {
			$x .= ' onee';
		}
		if($thisPage === 'repairs') {
			$x .= ' two';
		}
		if($thisPage === 'finalize') {
			$x .= ' three';
		}
		$completed = isCompletedStep($currentPage, $thisPage);
		if($completed !== FALSE) {
			$x .= ' completed';
		}
		echo $x;
	}
	function getAllPages() {
		return array('types', 'brands', 'models', 'repairs', 'finalize', 'thanks');
	}
	function getProgressPercent($currentPage = '') {
		$allPages = getAllPages();
		if($currentPage === 'types') {
			return 15.75 .'%';
		}
		if($currentPage === 'brands') {
			return 25.5 .'%';
		}
		if($currentPage === 'models') {
			return 35.25 .'%';
		}
		if($currentPage === 'repairs') {
			return 75 .'%';
		}
		if($currentPage === 'finalize') {
			return 100 .'%';
		}
		return (array_search($currentPage, $allPages) * 20) . '%';
	}
	function getProgressPercentMQ7($currentPage = '') {
		$allPages = getAllPages();
		if($currentPage === 'types') {
			return 16.75 .'%';
		}
		if($currentPage === 'brands') {
			return 25.5 .'%';
		}
		if($currentPage === 'models') {
			return 34.25 .'%';
		}
		if($currentPage === 'repairs') {
			return 75 .'%';
		}
		if($currentPage === 'finalize') {
			return 100 .'%';
		}
		return (array_search($currentPage, $allPages) * 20) . '%';
	}
	function getProgressPercentMQ5($currentPage = '') {
		$allPages = getAllPages();
		if($currentPage === 'types') {
			return 16.375 .'%';
		}
		if($currentPage === 'brands') {
			return 25.25 .'%';
		}
		if($currentPage === 'models') {
			return 34.125 .'%';
		}
		if($currentPage === 'repairs') {
			return 75 .'%';
		}
		if($currentPage === 'finalize') {
			return 100 .'%';
		}
		return (array_search($currentPage, $allPages) * 20) . '%';
	}
	function getProgressPercentMQ4($currentPage = '') {
		$allPages = getAllPages();
		if($currentPage === 'types') {
			return 16 .'%';
		}
		if($currentPage === 'brands') {
			return 24 .'%';
		}
		if($currentPage === 'models') {
			return 32 .'%';
		}
		if($currentPage === 'repairs') {
			return 75 .'%';
		}
		if($currentPage === 'finalize') {
			return 100 .'%';
		}
		return (array_search($currentPage, $allPages) * 20) . '%';
	}
	function isCompletedStep($currentPage = '', $thisPage = '') {
		$allPages = getAllPages();
		$currentPage = str_replace(array('brands', 'models'), 'types', $currentPage);
		return array_search($currentPage, $allPages) > array_search($thisPage, $allPages);
	}
	function numOrTick($currentPage = '', $thisPage = '') {
		$completed = isCompletedStep($currentPage, $thisPage);
		if($completed !== FALSE) {
			echo '<i class="fas fa-check"></i>';
		} else {
			// $allPages = getAllPages();
			// echo array_search($thisPage, $allPages) + 1;
			if($thisPage === 'types' || $thisPage === 'brands' || $thisPage === 'models' || $thisPage === 'device') {
				echo '1';
			} else if($thisPage === 'repairs') {
				echo '2';
			} else if($thisPage === 'finalize') {
				echo '3';
			}
		}
	}
	function easyRepeatDivs($what = '', $name = '', $currentPage = '') {
		?>
		<div class="wp-repair-width-20<?php needToAddActiveClass($currentPage, $what); ?>">
			<span class="step-circle">
				<span class="text"><?php numOrTick($currentPage, $what); ?></span>
			</span>
			<div class="breaked-ps">
				<p class="select wp-repair-desktop"><?php
				if($name === 'order') {
					echo 'Finalize';
				} else {
					echo 'Select';
				}
				?></p>
				<p class="select-actual wp-repair-desktop"><?php echo ucwords($name); ?></p>
				<p class="select-actual wp-repair-mobile-only"><?php
				if($name === 'order') {
					echo 'Finalize';
				} else {
					echo ucwords($name.'s');
				}
				?></p>
			</div>
		</div>
		<?php
	}
	?>
	<style type="text/css">
		.wp-repair-fe-types-conatiner .wp-repair-width-100 .p-up-arrow,
		.wp-repair-fe-types-conatiner .wp-repair-width-100 .p-bar-text {
			left: <?php echo getProgressPercent($currentPage); ?>;
		}
		.wp-repair-fe-types-conatiner .wp-repair-width-100 .p-bar .p-complete {
			width: <?php echo getProgressPercent($currentPage); ?>;
		}
		.wp-repair-fe-types-conatiner.repair-mq-7 .wp-repair-width-100 .p-bar .p-complete {
			width: <?php echo getProgressPercentMQ7($currentPage); ?>;
		}
		.wp-repair-fe-types-conatiner.repair-mq-5 .wp-repair-width-100 .p-bar .p-complete {
			width: <?php echo getProgressPercentMQ5($currentPage); ?>;
		}
		.wp-repair-fe-types-conatiner.repair-mq-4 .wp-repair-width-100 .p-bar .p-complete {
			width: <?php echo getProgressPercentMQ4($currentPage); ?>;
		}
		.wp-repair-fe-types-conatiner .wp-repair-progressBarMobile .p-up-arrow,
		.wp-repair-fe-types-conatiner .wp-repair-progressBarMobile .p-bar-text {
			top: <?php echo getProgressPercent($currentPage); ?>;
		}
		.wp-repair-fe-types-conatiner .wp-repair-progressBarMobile .p-bar .p-complete {
			height: <?php echo getProgressPercent($currentPage); ?>;
		}
	</style>
	<style type="text/css">
		.navigation-zd a {
			border: 2px solid #000;
			padding: 8px;
			margin-top: 8px;
			display: inline-block;
		}
		.navigation-zd a:after {
			content: '';
			display: inline-block;
			margin: 5px;
			background: #000;
		}
	</style>
	<div class="navigation-zd" style="margin-bottom: 50px;">
		<h2>Review All Pages</h2>
		<a>Types</a>
		<a>Brands</a>
		<a>Models</a>
		<a>Repairs</a>
		<a>Finalize Order</a>
		<a>Thank You Page</a>
	</div>
	<div class="wp-repair-progress clearfix">
		<div class="wp-repair-width-100 do-short desktop">
			<?php easyRepeatDivs('device', 'device', $currentPage); ?>
			<?php easyRepeatDivs('repairs', 'repair', $currentPage); ?>
			<?php easyRepeatDivs('finalize', 'order', $currentPage); ?>
			<span class="p-bar"><div class="p-complete"></div></span>
			<span class="p-bar"><div class="p-complete"></div></span>
		</div>
	</div>
	<?php
}

