<?php

namespace Easy_Query;

class Select extends Base {
	protected $the_query_order = array('select', 'table_name', 'join', 'where', 'group_by', 'order_by', 'limit', 'offset');
	public function get($table_name = '') {
		$this->current_query['table_name'] = $table_name;
		if(!isset($this->current_query['select'])) {
			$this->select('*');
		}
		$this->prepare_where();
		$this->fix_current_query_order();
		$this->create_join_str();
		$this->query_string = implode(' ', $this->current_query);
		$this->prepare_params_type();
		$this->query($this->query_string);
		$this->bind_params($this->prepared_params_types, $this->prepared_params);
		$this->execute();
		$result = $this->get_results();
		$this->_reset();
		return $result;
	}
}
