<?php
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;
if(!function_exists('wpRepairGetStyleSheetURLOfBasic')) {
	function wpRepairGetStyleSheetURLOfBasic() {
		$fileName = WP_REPAIR_PLUGIN_URL.'assets/css/front_end/basic.css?id='.uniqid();
		$fileName = str_replace(array('/', '\\'), '/', $fileName);
		return $fileName;
	}
}
if(!function_exists('wpRepairGetStyleSheetURLOfNormalize')) {
	function wpRepairGetStyleSheetURLOfNormalize() {
		$fileName = WP_REPAIR_PLUGIN_URL.'assets/css/front_end/normalize.css?id='.uniqid();
		$fileName = str_replace(array('/', '\\'), '/', $fileName);
		return $fileName;
	}
}
if(!function_exists('wpRepairLoadProgressBar')) {
	function wpRepairLoadProgressBar() {
		$fileName = WP_REPAIR_PLUGIN_PATH.'html/front_end/progress.php';
		$fileName = str_replace(array('/', '\\'), DIRECTORY_SEPARATOR, $fileName);
		require_once $fileName;
		theProgressBarofWPRepairFrontEnd('types');
	}
}
if(!function_exists('getTheImageURL')) {
	function getTheImageURL($str = '') {
		return WP_REPAIR_PLUGIN_URL.'assets/images/'.$str.'.png';
	}
}

global $wp;
global $rpQuery;
echo $shortcode.'abccc';
$category_table = $rpQuery->prefix . "rs_category";
$c_result = $rpQuery->get_results("SELECT * FROM $category_table WHERE c_uq_id = 'cr61cc3821a608d'");
?>
<style type="text/css">
	.wp-repair-select-container .wp-repair-col-3 button .icon img {
		max-width: 100px;
		max-height: 80px;
		display: block;
		margin: auto;
	}
</style>
<link rel="stylesheet" type="text/css" href="<?php echo wpRepairGetStyleSheetURLOfNormalize(); ?>">
<link rel="stylesheet" type="text/css" href="<?php echo wpRepairGetStyleSheetURLOfBasic(); ?>">
<div class="wp-repair-fe-types-conatiner is-style-wide">
	<!-- <div class="loading-div"></div>
	<?php //wpRepairLoadProgressBar(); ?>
	<br> -->
	<div class="wp-repair-select-container clearfix">
<!-- 		<div class="select-square-bg"></div>
 --><!-- 		<h1 class="select-heading"><span class="light">Select</span> type</h1>
 -->	<div class="wp-repair-col-3">
			<button class="type">
				<span class="icon"><img src="<?php echo $c_result[0]->c_img; ?>"></span>
				<p class="text"><?php echo $c_result[0]->c_name;?></p>
			</button>
		</div>
	</div>
	<br>
</div>
<script type="text/javascript">
	jQuery(document).on("wpRepairReady", function(){
		jQuery(".wp-repair-fe-types-conatiner .loading-div").remove();
	});
</script>
<?php 
if(!function_exists('wpRepairLoadMediaQuries')) {
	function wpRepairLoadMediaQuries() {
		$fileName = WP_REPAIR_PLUGIN_PATH.'html/front_end/media_quries.php';
		$fileName = str_replace(array('/', '\\'), DIRECTORY_SEPARATOR, $fileName);
		require_once $fileName;
	}
}
wpRepairLoadMediaQuries(); 
?>
<script type="text/javascript">
	(function(window, document, $, undefined){
		jQuery(document).on("wpRepairReady", function(){
			$(".wp-repair-col-3 button.type").each(function(){
				$(this).on("click", function(e){
					var clickedEl = this;
					$(".wp-repair-col-3 button.type").each(function(){
						if(this === clickedEl) {
							$(this).addClass('selected');
						} else {
							$(this).removeClass('selected');
						}
					});
				});
			});
		});
	}(window,document,jQuery));
	jQuery(document).on("wpRepairReady", function(){
		jQuery(".wp-repair-width-20 > .breaked-ps, .wp-repair-width-20 > .step-circle").on("mouseover", function(){
			jQuery(this).parent().addClass('hovered');
		});
		jQuery(".wp-repair-width-20 > .breaked-ps, .wp-repair-width-20 > .step-circle").on("mouseout", function(){
			jQuery(this).parent().removeClass('hovered');
		});
	});
</script>