<?php
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;
?>
<style type="text/css">
	.fa-spinner-white .st0 {
		fill: #ffffff !important;
	}
	.fa-spinner-black .st0 {
		fill: #323232 !important;
	}
	.fa-spinner-light-black .st0 {
		fill: #404040 !important;
	}
	.fa-search .st0 {
		fill: #989898 !important;
	}
	.fa-search-black .st0 {
		transition: 0.4s all !important;
		fill: #404040 !important;
	}
	.fa-chevron-down .st0 {
		fill: #323232 !important;
	}
	.fa-chevron-right .st0 {
		fill: #575757 !important;
	}
	.fa-chevron-left .st0 {
		fill: #575757 !important;
	}
	.fa-chevron-up .st0 {
		transition: 0.4s all !important;
		fill: #404040 !important;
	}
	.fa-arrow-left .st0 {
		fill: #ffffff !important;
	}
	.fa-arrow-right .st0 {
		fill: #ffffff !important;
	}
	.fa-arrow-down .st0 {
		fill: #ffffff !important;
	}
	.fa-check .st0 {
		transition: 0.4s all !important;
		fill: var(--theme) !important;
	}
	.fa-times .st0 {
		fill: #464646 !important;
	}
	.fa-info-circle .st0 {
		fill: #cacaca !important;
	}
	.fa-check-circle .st0 {
		fill: #155724 !important;
	}
	.fa-caret-right .st0 {
		fill: #ffffff !important;
	}
	.fa-plus .st0 {
		fill: #ffffff !important;
	}
</style><div style="display: none !important;">
	<div class="fa-spinner-white orgsvg">
		<?php echo rp_svg_icon_only('fa-spinner-white'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-spinner-black orgsvg">
		<?php echo rp_svg_icon_only('fa-spinner-black'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-spinner-light-black orgsvg">
		<?php echo rp_svg_icon_only('fa-spinner-light-black'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-search orgsvg">
		<?php echo rp_svg_icon_only('fa-search'); ?>
	</div>
</div>	
<div style="display: none !important;">
	<div class="fa-search-black orgsvg">
		<?php echo rp_svg_icon_only('fa-search-black'); ?>
	</div>
</div>	
<div style="display: none !important;">
	<div class="fa-chevron-down orgsvg">
		<?php echo rp_svg_icon_only('fa-chevron-down'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-chevron-right orgsvg">
		<?php echo rp_svg_icon_only('fa-chevron-right'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-chevron-left orgsvg">
		<?php echo rp_svg_icon_only('fa-chevron-left'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-chevron-up orgsvg">
		<?php echo rp_svg_icon_only('fa-chevron-up'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-arrow-left orgsvg">
		<?php echo rp_svg_icon_only('fa-arrow-left'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-arrow-right orgsvg">
		<?php echo rp_svg_icon_only('fa-arrow-right'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-check orgsvg">
		<?php echo rp_svg_icon_only('fa-check'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-arrow-down orgsvg">
		<?php echo rp_svg_icon_only('fa-arrow-down'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-times orgsvg">
		<?php echo rp_svg_icon_only('fa-times'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-info-circle orgsvg">
		<?php echo rp_svg_icon_only('fa-info-circle'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-check-circle orgsvg">
		<?php echo rp_svg_icon_only('fa-check-circle'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-caret-right orgsvg">
		<?php echo rp_svg_icon_only('fa-caret-right'); ?>
	</div>
</div>
<div style="display: none !important;">
	<div class="fa-plus orgsvg">
		<?php echo rp_svg_icon_only('fa-plus'); ?>
	</div>
</div>
<script type="text/javascript" style="display: none !important;">
	window.rp_svg_load_icon = function( icon = '', sizes = '' ) {
		let icon_html = jQuery('.orgsvg.'+icon).html();
		// check if icon is fa-spinner
		let fa_spinning = '';
		if( icon.indexOf('fa-spinner') > -1 ) {
			fa_spinning = 'fa-spinning';
		}
		return '<span class="rp-svg-icon ' + icon + ' ' + sizes + ' ' + fa_spinning + '">' + icon_html + '</span>';
	}
</script>