<?php
$rpdb = new RepairPluginPro\RP_Query_Builder();
?>
<div class="wp-repair_page_wp_repair_globalization wp_repair_globalization">
<div class="wp-repair-container">
<div class="table-responsive">
    <table class="table">
        <tbody class="append_models">
            <?php
                $m_id = 999;

$rpdb->reset_query();
$rpdb->select('*');
$rpdb->order_by('position ASC, id ASC');
$languages = $rpdb->get('rs_languages');

$languages = rp_sanitize_output($languages);

                ?>
                <tr class="justForsort manageRepairsParent">
                    <td class="justForsort" colspan="6">
                        <table class="justForsort">
                            <tbody class="justForsort">
                                <tr class="more-details more_details<?php echo $m_id; ?> active">
                                    <td colspan="7">
                                        <div class="details-container" style="max-height: 100%;" id="details-container<?php echo $m_id; ?>">
                                            <div class="wp-repair-inner-col section-1">
                                                <table class="table repairsContainer">
                                                    <thead>
                                                        <tr>
                                                            <th style="width: 105px;">
                                                                <p>On/Off</p>
                                                            </th>
                                                            <th style="width: 200px;">
                                                                <p>Name</p>
                                                            </th>
                                                            <th style="width: 200px;">
                                                                <p>Alt Name</p>
                                                            </th>
                                                            <th style="width: 55px;">
                                                                <p></p>
                                                            </th>
                                                        </tr>
                                                    </thead>
                                                    <tbody class="the-additional-repair the-additional-repair<?php echo $m_id; ?>" style="border:none !important">
                                                        <?php $x=0; foreach ($languages as $l){
                                                            $l_id = $l->id;
                                                            ?>
                                                            <tr class="justForsort Orderingrepairs">
                                                                <td class="justForsort" colspan="7">
                                                                    <table class="justForsort">
                                                                        <tbody class="justForsort">
                                                                            <tr class="main-repair">
                                                                                <td style="width: 105px;">
                                                                                    <label class="switch">
                                                                                        <input type="checkbox" <?php if($l->is_active == '1'){echo 'checked';}?> tabindex="-1" name="is_active[]" id="is_active<?php echo $m_id; ?>" value="<?php echo $l->id?>">
                                                                                        <span class="slider round"></span>
                                                                                    </label>
                                                                                    <!-- <div class="category-sort">
                                                                                        <i class="fas fa-sort"></i>
                                                                                    </div> -->
                                                                                    <?php
                                                                                    wp_repair_list_sorting_button();
                                                                                    ?>
                                                                                    <input type="hidden" name="rid[]" id="repair-id<?php echo $m_id?>" value="<?php echo $l->id?>">
                                                                                    <input type="hidden" name="r_img_link" value="<?php echo $l->image; ?>">
                                                                                    <div class="img-repair-show">
                                                                                        <img src="<?php echo rp_fix_language_image($l->image); ?>">
                                                                                    </div>
                                                                                </td>
                                                                                <td style="width: 200px;"><input tabindex="-1" class="repair-title" placeholder="Language Title" id="repair-title<?php echo $m_id?>" type="text" name="lname[]" value="<?php echo $l->name?>" required></td>
                                                                                <td style="width: 200px;"><input tabindex="-1" class="repair-info" placeholder="Alternative Name" id="repair-info<?php echo $m_id?>" type="text" name="laltname[]" value="<?php echo $l->alt_name?>" required></td>
                                                                                <td style="width: 55px;" class="additional-actions">
                                                                                    <button type="button" data-rid="<?php echo $l_id?>" class="trash delete_repair" tabindex="-1">
                                                                                        <img src="<?php echo WP_REPAIR_PLUGIN_URL.'assets/images/garbage.svg'; ?>">
                                                                                    </button>
                                                                                    <label tabindex="-1" class="label-upload-image" for="upload_rimage_<?php echo $l_id; ?>"><img src="<?php echo WP_REPAIR_PLUGIN_URL.'assets/images/image.svg'; ?>"></label>
                                                                                    <input tabindex="-1" type="file" id="upload_rimage_<?php echo $l_id; ?>" style="display: none;" name="r_img_X" data-uimage-id="<?php echo $l_id; ?>">
                                                                                </td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </td>
                                                            </tr>
                                                        <?php $x++; }?>
                                                        </tbody>
                                                    </table>
                                                    <button type="button" data-mid="<?php echo 1;?>" class="add-repair-btn AddRepair">Add Language <i class="fas fa-plus"></i></button>
                                                    <button type="button" data-mid="<?php echo 1;?>" class="add-repair-btn update_repair" style="margin-right: 5px">Update Languages <i class="fas fa-edit"></i></button>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
        </tbody>
    </table>
</div>
</div>
</div>