<?php
?><style>
	.setup-tour-item-container {
		display: inline-block;
	}
	.wp-repair-setup-tour-nav {
		background: #1275c2;
		padding: 0px 50px 0px 0px;
		margin-top: 20px;
		width: calc(100% - 20px);
		box-sizing: border-box;
		border-radius: 8px;
		position: relative;
	}
	.setup-tour-item-container {
		display: inline-table;
		vertical-align: middle;
		position: relative;
	}
	.setup-tour-item-container a,
	.setup-tour-item-container a:hover,
	.setup-tour-item-container a:active,
	.setup-tour-item-container a:focus {
		color: #fff;
		display: inline-table;
		padding: 15px 25px;
		text-decoration: none;
		outline: 0;
		box-shadow: unset;
		font-size: 13px;
	}
	.setup-tour-item-container a:hover,
	.setup-tour-item-container a.active {
		background: #1291f4;
	}
	.setup-tour-item-container span.no-hover-eff {
		color: #fff;
		display: inline-table;
		padding: 15px 25px;
		text-decoration: none;
		outline: 0;
		box-shadow: unset;
		font-size: 12px;
		background: none;
		cursor: text;
	}
	.stepcheckbox {
		padding: 2px;
		    background: #fff;
		    display: inline-table;
		    width: 14px;
		    height: 14px;
		    position: absolute;
		    border-radius: 50%;
		    left: 11px;
		    top: 50%;
		    transform: translateY(-50%);
	}

	.tour-dismiss a,
	.tour-dismiss a:hover,
	.tour-dismiss a:focus,
	.tour-dismiss a:active {
		background: none;
		padding: 0px;
	}

	.tour-dismiss {
		position: absolute;
		top: 50%;
		right: 15px;
		transform: translateY(-50%);
	}

	.stepcheckbox .inner {
		width: 10px;
		height: 10px;
		display: inline-table;
		background: #fff;
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		border-radius: 50%;
	}
	.stepcheckbox.done .inner {
		background: #00c100;
	}
	.setup-guide-text {
		text-transform: uppercase;
		letter-spacing: 0.7px;
		font-weight: 700;
	}
	.step-name-text {
		position: relative;
		left: 11px;
	}
	.tour-dismiss {
		float: right;
	}
	.tour-dismiss .step-name-text {
		left: 0px;
	}
</style>
<?php rp_keep_setup_tour_nav_uptodate_part(); ?>
<script>
	
	(function(window, document, $, undefiend){

		var rp_stop_tour_uptodate = false;

		function keepItUpToDate() {

			window.setTimeout(function(){

				$.ajax({

					type: 'POST',

					url: '<?php echo get_site_url(); ?>/wp-admin/admin-ajax.php',

					data: {

						action: 'rp_keep_setup_tour_nav_uptodate',

						page: '<?php echo trim($_REQUEST['page'] ?? ''); ?>'

					},

					success: function(response) {

						let old_markup = $(".wp-repair-setup-tour-nav");

						old_markup.after(response);

						old_markup.remove();

						if(rp_stop_tour_uptodate === false) {

							keepItUpToDate();

						}

					}

				});

			}, 5000);

		}

		$(document).on('ready', function(){

			keepItUpToDate();

		});

		$(document).on('click', '.tour-dismiss a', function(e){

			e.preventDefault();

			if(confirm('Are you sure you want to hide this wizard? It will never appear again once hidden.')) {

				$.ajax({

					type: 'POST',

					url: '<?php echo get_site_url(); ?>/wp-admin/admin-ajax.php',

					data: {

						action: 'rp_skip_quick_start_wizard'

					},

					success: function() {

						rp_stop_tour_uptodate = true;

						$(".wp-repair-setup-tour-nav").remove();

					}

				});

			}

		});

	}(window, document, jQuery));

</script>