<?php

function rp_setup_tour_link( $name = '', $page = '', $callback = 'rp_setup_guide_meet_download_libraries_requirement' ) {

	?>
	<div class="setup-tour-item-container">
		<a href="<?php echo get_site_url(); ?>/wp-admin/admin.php?page=<?php echo $page; ?>" <?php if($page === trim($_REQUEST['page'] ?? '')) { echo 'class="active"'; } ?>>
			<div class="stepcheckbox <?php if(call_user_func($callback) === TRUE) { echo 'done'; } ?>"><div class="inner"></div></div> <span class="step-name-text"><?php echo $name; ?></span>
		</a>
	</div>
	<?php

}

?><div class="wp-repair-setup-tour-nav">
	<div class="setup-tour-nav-items">
		<div class="setup-tour-item-container">
			<span class="no-hover-eff">
				<strong class="setup-guide-text">Quick Setup</strong>
			</span>
		</div>
		<?php
		rp_setup_tour_link('Download Libraries', 'wp_repair_download_libraries', 'rp_setup_guide_meet_download_libraries_requirement');
		rp_setup_tour_link('Create Default Repairs', 'wp_repair_default_repairs', 'rp_setup_guide_meet_default_repairs_requirement');
		rp_setup_tour_link('Manage Upsales', 'wp_repair_manage_upsales', 'rp_setup_guide_meet_manage_upsales_requirement');
		rp_setup_tour_link('Configure Settings', 'wp_repair_settings', 'rp_setup_guide_meet_configure_settings_requirement');
		?>
		<div class="setup-tour-item-container tour-dismiss">
			<a href="#">
				<span class="step-name-text">
					<span class="wp-menu-image dashicons-before dashicons-dismiss"></span>
				</span>
			</a>
		</div>
	</div>
</div>