<?php
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;
global $rpQuery;
function wpRepairLoadSidebar($name = '') {
	$fileName = WP_REPAIR_PLUGIN_PATH.'html/sidebar.php';
	$fileName = str_replace(array('/', '\\'), DIRECTORY_SEPARATOR, $fileName);
	require_once $fileName;
	wp_repair_admin_settings_sidebar($name);
}
if(isset($_POST['validate_key'])){
	$license_key = $_POST['license_key'];
	$api_key     = $_POST['api_key'];
	$curl = curl_init( 'https://license.repairplugin.com/wp-json/license-api/license/view' );
	curl_setopt( $curl, CURLOPT_POST, true );
	curl_setopt( $curl, CURLOPT_POSTFIELDS, array( 'license_code' => $license_key ,'api_key' => $api_key) );
	curl_setopt( $curl, CURLOPT_RETURNTRANSFER, true );
	curl_setopt( $curl, CURLOPT_SSL_VERIFYPEER, false );
	curl_setopt( $curl, CURLOPT_SSL_VERIFYHOST, false );
	$response = curl_exec( $curl );
	curl_close( $curl );
  	$data = json_decode($response);
  	if($data){
	  	if($data->data){
	  		$status        = $data->data->status;
	  		$has_expiry    = $data->data->has_expiry;
	  		$active_domain = $data->data->active_domains;
	  		if(isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on'){  
		        $my_domain = "https://";   
		    }else{  
		        $my_domain = "http://";  
		    } 
	  		$my_domain    .= $_SERVER['HTTP_HOST']; 
	  		if($status == 'A'){
		  		if($has_expiry == 'N'){
		  			if($active_domain){
					 	if(in_array($my_domain, $active_domain) != true) {
			  				$message = '<span class="maroon">This license key is active on another domain. Try another</span>';
			  				exit();
			  			}
			  		}else{
			  			$curl = curl_init( 'https://license.repairplugin.com/wp-json/license-api/license/edit' );
						curl_setopt( $curl, CURLOPT_POST, true );
						curl_setopt( $curl, CURLOPT_POSTFIELDS, array( 'api_key' => $api_key,'license_code' => $license_key ,'user_domain' => $my_domain) );
						curl_setopt( $curl, CURLOPT_RETURNTRANSFER, true );
						curl_setopt( $curl, CURLOPT_SSL_VERIFYPEER, false );
						curl_setopt( $curl, CURLOPT_SSL_VERIFYHOST, false );
						$response = curl_exec( $curl );
						curl_close( $curl );
					  	$data = json_decode($response);
					  	echo "<pre>";
					  	print_r($data);
					  	die();
			  		}
			  	}else{
		  			$message = '<span class="maroon">Your license key has expired, you can`t proceed further.please activate it.</span>';
		  		}
	  		}else{
	  			$message = '<span class="maroon">Your license key is not active, you can`t proceed further.</span>';
	  		}
	  	}else{
	  		$message = '<span class="maroon"><i class="fa fa-id-card" aria-hidden="true"></i> '.$data->msg.'</span>';
	  	}
  	}else{
  		$message = '<span class="maroon"><i class="fa fa-id-card" aria-hidden="true"></i> Your license key is not valid</span>';
  	}
}
?>
<style type="text/css">
	.bg-with-border{
		padding: 3%;
	}
</style>
<div class="wp-repair-container">
	<div class="wp-repair-row">
		<div class="wp-repair-col-12 settings">
			<div class="repair-dl-rounded-container">
				<div class="wp-repair-row">
					<?php wpRepairLoadSidebar('validate_token'); ?>
					<div class="bg-with-border">
						<form method="post" action="">
							<div class="wp-repair-col-4 main-section section-one">
								<div class="wp-repair-main-section-heading">
									<h2>
										<span class="light">General</span>
										<span class="bold">Information</span>
									</h2>
									<p class="more-info">Validate License Key</p>
								</div>
								<div class="wp-repair-input-group">
									<label>Enter License Key</label>
									<input type="text" class="user-info" name="license_key" value="0D3AABDC-75CAC450-5D00C028-9CABA025" required>
								</div>
								<div class="wp-repair-input-group">
									<label>Enter API Key</label>
									<input type="text" class="user-info" name="api_key" value="FEDDD6F9-93E0AC8F-BE97131E-684849E0" required>
								</div>
								<div class="sec-3 mt-10">
									<button type="submit" id="validate_key" name="validate_key" class="wp-general-info">Confirm To Proceed</button> 
								</div>
								<h3 class="company-logo-theme-color ptop-30"><?php echo $message;?></h3>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
wp_enqueue_script('wp-repair-plugin-js', WP_REPAIR_PLUGIN_URL.'assets/js/main.js?what='.uniqid());
?>


