<?php
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;
global $rpQuery;
function wpRepairLoadSidebar($name = '') {
	$fileName = WP_REPAIR_PLUGIN_PATH.'html/sidebar.php';
	$fileName = str_replace(array('/', '\\'), DIRECTORY_SEPARATOR, $fileName);
	require_once $fileName;
	wp_repair_admin_settings_sidebar($name);
}

?>
<style type="text/css">
	.bg-with-border{
		padding: 3%;
	}
	.form-link{
		margin-top:50px; 
		width: 300px; 
		height:auto;
		background: #fff;
		padding: 10px;
		border-radius:10px;
		border:2px solid #1275C2;
	}
	.wp-repair-input-group.link{
		position: relative;
   	 	color: #61666b;
		margin-top: 50px !important;
	}
	.wp-repair-input-group .select_permalink{
		height: 42px;
		border: 2px solid #cfcfcf;
		box-shadow: none;
		outline: 0;
		box-sizing: border-box;
		width: 100%;
		font-size: 14px;
		/* font-weight: 600; */
		border-radius: 8px;
		padding: 0px 12px;
		color: #454545;
	}

	.wp-repair-input-group .select_permalink:focus{
		border: 2px solid #2781c7;
		box-shadow: none;
		outline: 0;
	}

    .wp-repair-col-8.main-section {
        padding: 20px;
    }
	
</style>
<style type="text/css">
	.va-full-width-modal-main.trans-modal .wp-repair-input-group {
		margin-top: 10px;
	}
	.va-full-width-modal-main {
		max-width: 475px;
		max-height: 80%;
		overflow-y: auto;
	}
	.va-full-width-modal .flag-img {
		width: 36px;
		display: inline-block;
		position: relative;
		top: 9px;
	}
	.va-full-width-modal .input-cont {
		width: calc(100% - 40px);
		display: inline-block;
	}
	.va-full-width-modal .va-button.va-submit {
		margin-top: 12px;
		display: inline-table;
		float: right;
		margin-bottom: 15px;
		position: relative;
		right: 3px;
		min-width: 80px;
	}
	.va-full-width-modal.recaptcha-popup-modal .va-save-recaptcha {
		float: unset;
		background: #1275c2;
		color: #fff;
		font-weight: 500;
		border: 1px solid #1275c2;
		border-radius: 5px;
		padding: 8px 15px;
		cursor: pointer;
		font-size: 14px;
		margin-top: 25px;
	}
	.globe-icon-translation {
		cursor: pointer;
		width: calc(100% - 2px);
		height: 42px;
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
	}

	.clearfix {
		display: block;
	}

	.clearfix::after {
		content: "";
		clear: both;
		display: table;
	}
	.globe-icon-i {
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
		right: 0px;
		line-height: 0em;
		background: #fff;
		padding: 0px 8px;
	}
.mce-panel.mce-floatpanel .mce-widget.mce-btn.mce-primary.mce-abs-layout-item.mce-first.mce-btn-has-text {
	background-color: #2d8ac7;
}
.mce-btn {
	background-color: #fff;
}
.mce-panel {
	background-color: #fff;
}
.wp-repair-input-group > .mce-panel.mce-container {
	border-width: 2px;
		border-radius: 8px;
		border: 2px solid #cfcfcf !important;
		box-sizing: border-box;
		padding: 0px 2px;
	transition: border-color 0.3s;
}
.mce-path {
	display: none;
}
.mce-statusbar.mce-container {
	border: 0px;
}
.mce-container-body .mce-resizehandle {
	right: 2px;
		bottom: 2px;
}
.mce-container-body.mce-stack-layout {
	padding: 1px;
}
.wp-repair-input-group label {
	z-index: 10;
}
.wp-repair-input-group > .mce-panel.mce-container:hover {
	border: 2px solid #2781c7 !important;
	box-shadow: none;
	outline: 0;
}
.mce-container,
.mce-content-body,
.mce-menubar .mce-menubtn button span,
.mce-menu-item,
.mce-menu-item .mce-ico, .mce-menu-item .mce-text  {
	color: #454545;
}
div.mce-edit-area {
	min-height: 200px;
}
div.mce-edit-area iframe {
	min-height: 200px;
}
/*.mce-container.mce-menubar.mce-toolbar {
	display: none;
}*/
iframe #tinymce {
	background-color: #000;
}
.wp-repair-col-4.pdf-offer.main-section.clearfix {
	padding-bottom: 15px;
}
.table-responsive.location-table button.plus-icon.see-more .text {
	width: 300px;
}
.location-table {
	margin: 0px;
	padding: 15px;
	margin-bottom: 20px;
}
.location-table .ractions-td .switch {
	float: right;
}

.location-table .details-container .wp-repair-inner-col.section-1 {
	float: left;
	width: 55%;
	box-sizing: border-box;
}
.location-table .details-container .wp-repair-inner-col.section-2 {
	float: left;
	width: 45%;
	padding: 0px 20px;
	padding-top: 8px;
	box-sizing: border-box;
}

.location-table td.shortcode-heading {
	font-size: 9px;
	font-weight: 700;
	padding: 3px 0px;
	color: #61666b;
}

.location-table td.actual-shortcode {
	font-size: 9px;
	font-weight: 600;
	padding: 3px 0px;
	color: #61666b;
}
.table-responsive.location-table button.plus-icon.see-more .text {
	font-size: 14px;
}

.table-responsive.location-table button.plus-icon.see-more {
	text-align: left;
}
.table-responsive.location-table button.plus-icon.see-more .text {
	width: 250px;
	vertical-align: middle;
	display: inline-table;
}
.table-responsive.location-table button.plus-icon.see-more .dropicon {
	vertical-align: middle;
}

@media(max-width: 1140px) {
	.location-table .details-container .wp-repair-inner-col.section-1 {
		width: 100%;
	}
	.location-table .details-container .wp-repair-inner-col.section-2 {
		width: 100%;
		padding: 0px;
		padding-top: 8px;
	}
}

@media(max-width: 500px) {
	.table-responsive.location-table button.plus-icon.see-more .text {
		width: 200px;
	}
}


@media(max-width: 420px) {
	.table-responsive.location-table .wp-repair-input-group {
	    left: 0px;
	}
	.apply-tax-rate .td.text {
		width: 70%;
	}
	.table-responsive.location-table button.plus-icon.see-more .text {
		width: 140px;
	}
	.wp-repair-input-group input {
		width: 99%;
	}
}
@media(max-width: 370px) {
	.location-table {
		padding: 10px;
	}
	.table-responsive.location-table button.plus-icon.see-more .text {
		width: 100px;
		font-size: 13px;
	}
}
/* Customised Modal */


.va-modal-container {
	position: fixed;
	bottom: 85px;
	left: 30px;
	background: rgba(0,0,0,0.3);
	z-index: 99999;
	width: 300px;
}

.va-modal-main {
	border-radius: 8px;
	width: 100%;
	max-width: 450px;
	height: auto;
	background: #fff;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	box-shadow: 0px 0px 5px rgb(0 0 0 / 30%);
}

.va-modal-container.unsaved .va-modal-main {
	background: #a81019;
}

.va-modal-container.saved .va-modal-main {
	background: var(--west--wales--maincolor);
}

.va-modal-inner {
	padding: 15px;
}

.va-modal-inner p {
	font-size: 18px;
	display: table;
	margin: 0px;
	color: var(--west--wales--maincolor);
	max-width: 240px;
	font-weight: 400;
}

.va-modal-container.unsaved .va-modal-inner p,
.va-modal-container.saved .va-modal-inner p {
	color: #fff;
}

.va-modal-inner a {
	display: table;
	margin-top: 8px;
}

.va-modal-container .va-close-modal,
.va-full-width-modal .va-close-modal {
	position: absolute;
	top: 8px;
	right: 8px;
	background: #efefef;
	padding: 8px;
	line-height: 1em;
	cursor: pointer;
	border: 1px solid #aaaa;
	background: #efefef;
	border-radius: 4px;
	outline: 0 !important;
	box-shadow: unset !important;
	transition: all 0.3s;
}

.va-modal-container .va-close-modal:hover,
.va-modal-container .va-close-modal:active,
.va-modal-container .va-close-modal:focus,
.va-full-width-modal .va-close-modal:hover,
.va-full-width-modal .va-close-modal:active,
.va-full-width-modal .va-close-modal:focus  {
	background: #fafafa;
}

.va-full-width-modal .va-modal-title {
	font-weight: 400;
    max-width: 93%;
    font-size: 18px;
    margin-top: 0px;
    margin-bottom: 10px;
    color: #1275c2;
}

.va-full-width-modal .va-modal-title b {
	font-weight: 700;
}

.va-modal-container.saved .va-modal-inner a:hover,
.va-modal-container.saved .va-modal-inner a:active,
.va-modal-container.saved .va-modal-inner a:focus {
	background: #fafafa;
	color: var(--west--wales--maincolor);
}

.va-container.property-details .va-content-box .call-to-action .va-button-default {
	background: #fafafa;
	border: 1px solid #fafafa;
	color: var(--west--wales--maincolor);
	font-weight: 400;
}

.va-container.property-details .va-content-box .call-to-action .va-button-default:hover,
.va-container.property-details .va-content-box .call-to-action .va-button-default:active,
.va-container.property-details .va-content-box .call-to-action .va-button-default:focus {
	background: #fff;
	color: var(--west--wales--maincolor);
	border: 1px solid #fafafa;
}

.va-container.property-details .va-content-box .call-to-action .va-button.va-fav-icon-details-page.prop-already-saved {
	color: #a81019;
	background: rgb(168 16 25 / 10%);
}

.va-container.property-details .va-content-box .call-to-action .va-button.va-fav-icon-details-page .fa-spinner {
	font-size: 20px;
}

.va-container .set-alert-buttons {
	margin: 0px;
}

.va-col-md-12.alert-btn-cols {
	padding: 15px;
}

.va-full-width-modal {
	position: fixed;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	z-index: 10000;
	background: rgba(0,0,0,0.3);
}

.va-full-width-modal-main {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	background: #fff;
	box-shadow: 0px 0px 5px rgb(0 0 0 / 30%);
	width: 100%;
	max-width: 450px;
	border-radius: 8px;
}

.va-full-width-modal-main.payload-modal {
	max-width: 550px;
}

.va-full-width-modal-main p {
	font-size: 14px;
}

.va-full-width-modal-inner {
	padding: 15px; 
}

.va-full-width-modal .va-form-group label {
	display: table;
}

.va-full-width-modal .va-form-group input {
	width: 100%;
	border-radius: 5px;
	display: table;
	margin-bottom: 8px;
}

.va-button.va-submit,
.va-button.va-submit:hover,
.va-button.va-submit:active,
.va-button.va-submit:focus {
	background: #1275c2;
	color: #fff;
	font-weight: 500;
	border: 1px solid #1275c2;
	border-radius: 5px;
	padding: 8px 15px;
	cursor: pointer;
	font-size: 14px;
}

button.va-button-primary,
button.va-button-primary:hover,
button.va-button-primary:active,
button.va-button-primary:focus {
	border-color: #1275c2 !important;
	background: #1275c2 !important;
	background-color: #1275c2 !important;
}

.va-modal-title.blue-color {
	color:  #1275c2 !important;
	font-weight: 500;
}

.full-width-wp-repair {
    box-sizing: border-box;
    display: table;
    width: 100%;
    padding: 20px;
    padding-top: 0px;
	position: relative;
}

.suppliers .apply-tax-rate {
    margin-top: 10px;
}

.badge.badge-inactive {
    background: #aaa;
    color: #fff;
    padding: 5px 8px;
    border-radius: 5px;
    font-size: 12px;
}

.badge.badge-active {
    background: #0fa101;
    color: #fff;
    padding: 5px 8px;
    border-radius: 5px;
    font-size: 12px;
}

.rp-cron-job-info {
		display: table;
		padding: 0px 20px;
		width: 100%;
		box-sizing: border-box;
		margin-bottom: 40px;
	}
	.rp-cron-job-info.command {
		margin-bottom: 10px;
	}
	.rp-cron-job-info .bold {
		display: table;
		width: 100%;
		font-weight: 600;
		margin-bottom: 5px;
	}
	.rp-cron-job-info .light {
		display: table;
		width: 100%;
		padding: 8px 16px;
		background: rgb(18, 117, 194, 0.2);
		box-sizing: border-box;
		border-radius: 8px;
		color: #404040;
		font-weight: 700;
	}

    .rp-dynamic-pricing-settings-nav {
        margin: 20px 0px;
    }

    .rp-dynamic-pricing-settings-nav a,
    .rp-dynamic-pricing-settings-nav a:visited,
    .rp-dynamic-pricing-settings-nav a:hover,
    .rp-dynamic-pricing-settings-nav a:active,
    .rp-dynamic-pricing-settings-nav a:focus {
        display: inline-block;
        padding: 6px 12px;
        background: #fff;
        color: #1275c2;
        border: 1px solid #1275c2;
        border-radius: 5px;
        margin-right: 5px;
        font-size: 12px;
        text-decoration: none;
        outline: 0;
        box-shadow: unset;
    }
    .rp-dynamic-pricing-settings-nav a.active {
        background: #1275c2 !important;
        color: #fff !important;
    }

    table.recent-logs {
        width: 100%;
        border-collapse: collapse;
    }

    table.recent-logs tbody tr {
        border-left: 5px solid #0081d2;
    }

    table.recent-logs.error-logs tbody tr {
        border-left: 5px solid #d20000;
    }

    table.recent-logs .t-left {
        text-align: left;
    }

    table.recent-logs .t-center {
        text-align: center;
    }

    table.recent-logs thead tr th {
        background: #efefef;
    }

    table.recent-logs tr td,
    table.recent-logs tr th {
        background: #fbfbfb;
        padding: 10px;
        border-bottom: 1px solid #ddd;
        vertical-align: middle;
    }

	p.last_synced {
		margin: 0px;
		position: relative;
		top: -6px;
		font-size: 8px;
		text-transform: uppercase;
		font-weight: 600;
		letter-spacing: 1.5px;
	}

	.wp-repair-row .bg-with-border {
		position: relative;
	}

	.rp-model-linked-analytics {
		position: absolute;
		text-align: center;
		line-height: 1.5em;
		width: 150px;
		font-size: 14px;
		background: #fbfbfb;
		box-shadow: 0px 0px 2px rgba(0,0,0,0.2);
		border-radius: 5px;
		right: 20px;
		top: 9px;
		line-height: 1.2em;
		padding: 10px 5px;
		box-sizing: border-box;
		font-weight: 600;
		color: #0fa101;
	}
	.rp-model-linked-analytics .models-linked-text {
		display: block;
		text-transform: uppercase;
		letter-spacing: 2px;
		font-size: 10px;
		font-weight: 500;
		color: #404040;
	}

	@media(max-width: 1160px) {
		.rp-model-linked-analytics {
			position: relative;
			right: unset;
			left: 0px;
			top: unset;
			bottom: unset;
			margin-top: 15px;
			margin-bottom: 15px;
		}
	}

	.wp-repair-repair-card {
		display: table;
		max-width: 400px;
	}

	.wp-repair-input-group.default-margin {
		max-width: 400px;
	}

	img.dp_settings_page_image {
		margin-top: 30px;
		max-width: 500px;
		width: 100%;
	}

	.dp-license-activation-form {
		margin-top: 30px;
	}

	.dp-license-activation-form p {
		font-size: 16px;
		margin-top: 10px;
	}

	.dp-license-activation-form a {
		font-size: 16px;
		text-decoration: underline;
		font-weight: 600;
		color: #1275c2;
		outline: 0;
	}

	.dp-license-activation-form .wp-repair-input-group {
		margin-top: 0px;
	}
	
	.dp-license-activation-form .wp-repair-input-group input {
		display: inline-table;
		width: 330px;
	}

	.dp-license-activation-form .wp-repair-input-group button {
		margin-top: 0px;
		display: inline-table;
		margin-left: 10px;
		padding: 14px;
		height: 42px;
	}

	.wp-repair-alert.error.license {
		width: 100%;
		margin: 0px;
	}

	.table-responsive.dp-license-info {
		margin-top: 30px;
		padding: 30px 15px 25px 15px;
		border: 2px solid #efefef;
		background: #fbfbfd;
		border-radius: 12px;
	}

	.table-responsive.dp-license-info h2 {
		margin-top: 0px;
	}

	.table-responsive.dp-license-info p {
		font-size: 12px;
	}

	.table-responsive.dp-license-info tr th {
		width: 150px;
		padding: 8px 0px;
		text-align: left;
		font-weight: 500;
		font-size: 12px;
	}

	.table-responsive.dp-license-info tr td {
		width: 300px;
		padding: 8px 0px;
		text-align: left;
		font-size: 12px;
		padding-left: 8px;
	}

	.el-blue-btn,
	.el-blue-btn:hover,
	.el-blue-btn:focus,
	.el-blue-btn:active,
	.el-blue-btn:visited {
		padding: 0 5px 2px;
		color: #fff;
		background-color: #20b1d2;
		border-radius: 3px;
		text-decoration: none;
		-webkit-box-shadow: 0 0 3px -1px rgba(0,0,0,0.38);
		-moz-box-shadow: 0 0 3px -1px rgba(0,0,0,0.38);
		box-shadow: 0 0 3px -1px rgba(0,0,0,0.38);
	}

	.badge-active.is-valid {
		background: #8fcc77;
		padding: 3px 6px;
	}

	.wp-general-info.deactivate-btn {
		padding: 10px 12px;
		font-size: 10px;
		margin-top: 25px;
		width: auto;
	}

	.dependant-field {
		overflow: hidden;
		transition: all 0.3s;
	}

	.max-height-0 {
		max-height: 0px;
	}

	a.download-missing-attributes,
	a.download-missing-attributes:hover,
	a.download-missing-attributes:focus,
	a.download-missing-attributes:active,
	a.download-missing-attributes:visited {
		font-size: 10px;
		text-decoration: none;
		box-shadow: unset;
		font-weight: 600;
		outline: 0;
		display: table;
		width: auto;
		color: #fff;
		padding: 9px 12px;
		margin-top: 20px;
	}

	.no-suppliers-found {
		margin-top: 15px;
	}
	.supplier-image img {
		height: 100%;
		width: auto;
	}
	.supplier-image {
		width: 110px;
		height: 110px;
		overflow: hidden;
		border-radius: 12px;
	}

	.suppliers-table.found {
		margin-top: 0px;
	}

	.suppliers-table.found td {
		padding: 8px 12px;
		padding-top: 25px;
	}

	.suppliers-connected-model {
		display: inline-table;
		color: #1275c2;
		margin-left: 12px;
	}

	.suppliers-connected-model.no-a-link {
		margin-left: 0px;
	}

	td.supplier-status {
		vertical-align: top;
		padding-left: 0px !important;
	}

	td.supplier-status .switch {
		top: 40px;
	}

	td.supplier-status.no-image .switch {
		top: 0px;
	}

	td.supplier-image-td {
		vertical-align: top;
	}

	td.supplier-info .supplier-image {
		display: none;
	}

	td.supplier-info {
		vertical-align: top;
		padding-right: 0px !important;
	}
	
	td.supplier-info h2 {
		margin: 0px;
	}

	td.supplier-info .flag-image {
		width: 18px;
		display: inline-table;
		border-radius: 50%;
		overflow: hidden;
		position: relative;
		top: 1px;
		margin-left: 6px;
	}

	td.supplier-info .flag-image img {
		width: 100%;
		height: auto;
	}

	td.supplier-info p {
		display: block;
		margin-bottom: 12px;
		margin-top: 10px;
	}

	td.supplier-info a,
	td.supplier-info a:hover,
	td.supplier-info a:focus,
	td.supplier-info a:active,
	td.supplier-info a:visited {
		padding: 5px 8px;
		background: #1275c2 !important;
		color: #fff;
		text-decoration: none;
		border-radius: 5px;
		font-weight: 600;
		display: inline-table;
		margin-top: 0px;
		outline: 0;
		box-shadow: unset;
		border: 0px;
	}

	@media(max-width:1140px) {
		.suppliers-connected-model {
			margin-left: 0px;
			display: table;
			margin-top: 15px;
		}
		td.supplier-image-td {
			display: none;
		}
		td.supplier-status .switch {
			top: 0px;
		}
		td.supplier-info .supplier-image {
			display: block;
			margin-top: 15px;
		}
	}

	.wp-repair-input-group {
		max-width: 400px;
	}

	p.company-logo-theme-color {
		max-width: 400px;
	}

	.tax-fields .apply-tax-rate .text {
		max-width: 345px !important;
	}

	.dp-license-activation-form .wp-repair-input-group {
		max-width: 100%;
	}

</style>
<div class="wp-repair-container">
	<div class="wp-repair-row">
		<div class="wp-repair-col-12 settings">
			<div class="repair-dl-rounded-container">
				<div class="wp-repair-row">
					<?php wpRepairLoadSidebar('webhooks'); ?>
					<div class="bg-with-border">
						<div class="wp-repair-col-8 main-section section-one">
							<div class="wp-repair-main-section-heading">
								<h2>
									<span class="light">Trigger</span>
									<span class="bold">Webhooks</span>
								</h2>
								<p class="more-info"> Outgoing Webhook Triggers for Enhanced Automation.</p>
							</div>
							<form action="" method="POST">
                                <?php
                                rp_csrf_token_input_field('webhooks');
                                ?>
                            </form>
                            <?php
                            require_once WP_REPAIR_PLUGIN_PATH . 'html/webhooks_crud.php';
                            ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
wp_enqueue_script('wp-repair-plugin-js', WP_REPAIR_PLUGIN_URL.'assets/js/main.js?what='.uniqid());
wp_enqueue_style('wp-repair-plugin-ui-css', WP_REPAIR_PLUGIN_URL.'assets/css/ui-by-zahran.css?what='.uniqid());
wp_enqueue_script('wp-repair-plugin-ui-js', WP_REPAIR_PLUGIN_URL.'assets/js/ui-by-zahran.js?what='.uniqid());
?>